2011-05-17 23:51:37 fraggle
	
	Add dependency for INSTALL generation.

2011-05-17 23:06:22 fraggle
	
	Detect chex.deh if it is in the same directory as the IWAD file.

2011-05-14 22:50:46 fraggle
	
	Fix display of ENDOOM screen.

2011-05-14 22:47:12 fraggle
	
	Fix install of screensaver desktop file.

2011-05-14 22:07:55 fraggle
	
	Add freedesktop.org desktop files for chocolate-doom, chocolate-setup
	(thanks Adrián Chaves Fernández).

2011-05-14 21:11:26 fraggle
	
	Convert build system to using the PROGRAM_PREFIX system used on
	raven-branch.

2011-05-08 19:32:02 fraggle
	
	Update NEWS.

2011-05-08 19:29:46 fraggle
	
	Allow IWAD files to be double-clicked in the finder to set the IWAD
	configuration.

2011-05-08 01:31:01 fraggle
	
	Shut up compiler warnings.

2011-05-08 00:52:26 fraggle
	
	Rework OS X launcher package.  Include documentation files within the
	application bundle and add a help menu with links.  Rework .dmg
	generation to generate a file with a "fancy" background image and
	overall nicer appearance.

2011-04-26 06:49:53 quasar_te
	
	Support for Win32 native OPL output when compiled with Microsoft
	Visual C++.  Confirmed to work with Aureal Vortex AU8830 in Win98SE by
	GhostlyDeath.

2011-04-24 23:22:11 fraggle
	
	Infer -server when -privateserver is specified (thanks Porsche Monty).

2011-04-24 22:39:31 fraggle
	
	Add test button to joystick menu in setup tool (thanks Alexandre
	Xavier).

2011-04-18 23:10:16 fraggle
	
	Add test hack for simulating Porsche Monty's scanline emulation (see
	comment in file).

2011-04-17 18:33:04 fraggle
	
	Fix libtextscreen window hotkeys to work when shift is held down /
	capslock turned on.  Fix a similar problem in-game when typing cheat
	codes or using menu hotkeys (thanks Alexandre Xavier).

2011-04-17 17:53:47 fraggle
	
	Make Final Doom IWAD labels shorter, so they don't make the launch
	windows grow.

2011-04-11 20:49:45 fraggle
	
	Allow the shift key to be held down when changing key/mouse/joystick
	bindings to prevent bindings to the same key from being cleared
	(thanks myk).

2011-04-09 01:27:13 fraggle
	
	Fix action area minimum width calculation.

2011-04-04 21:30:17 fraggle
	
	Close dropdown list popup windows when clicking outside the window.

2011-04-04 21:12:59 fraggle
	
	Fix crash.

2011-04-04 21:09:42 fraggle
	
	Fix crash.

2011-04-04 21:07:07 fraggle
	
	Change the background color when hovering over widgets.

2011-04-04 19:40:28 fraggle
	
	Change setup tool default sampling rate to 44100Hz to match the game
	(thanks Alexandre Xavier).

2011-03-30 20:16:40 fraggle
	
	Add a symlink hack to work around the fact that OS X doesn't like
	paths in MANPATH to contain spaces.

2011-03-30 20:00:51 fraggle
	
	On OS X, display a dialog box when exiting with I_Error, like on
	Windows.

2011-03-29 00:48:31 fraggle
	
	Remove the BUGS file as it doesn't really contain any useful
	information.

2011-03-29 00:39:48 fraggle
	
	Add vim modeline for text wrapping to documentation text files.

2011-03-29 00:33:09 fraggle
	
	Emulate bug with IDMUS cheat when emulating v1.9 (thanks Alexandre
	Xavier).

2011-03-28 22:36:00 fraggle
	
	Fix OPL MIDI playback when using an empty .mus / .mid file (thanks
	Alexandre Xavier).

2011-03-28 22:32:14 fraggle
	
	Allow .lmp files to be loaded (and demo files to be played back) that
	have long filenames (thanks blzut3).

2011-03-28 01:24:47 fraggle
	
	Fix weapon cycling from the shotgun to the chaingun in Doom 1 (thanks
	Alexandre Xavier).

2011-03-28 00:45:53 fraggle
	
	Scroll faster in reaction to the scroll wheel.

2011-03-28 00:42:00 fraggle
	
	Change default sfx/music volume in setup tool to 8, to match the game
	(thanks Alexandre Xavier).

2011-03-22 21:33:17 fraggle
	
	Switch separator to show "screen mode" or "window size" depending on
	whether fullscreen is turned on or not.

2011-03-22 21:08:04 fraggle
	
	Fix scrollbars so that clicks scroll the pane to a location that
	matches the clicked location.  Interpret mousewheel events so that
	scroll panes can be scrolled.

2011-03-22 19:49:31 fraggle
	
	Reorganise the display settings window.

2011-03-17 22:54:33 fraggle
	
	Add back -a option to automake, and remove INSTALL if automake
	installs it.

2011-03-17 22:43:56 fraggle
	
	Fix up placement of display settings window.

2011-03-15 22:41:22 fraggle
	
	Fix NEWS entry to list the full name for Alexandre Xavier.

2011-03-10 19:47:14 fraggle
	
	Include Unix manpages in MacOS package, and set MANPATH to point to
	them when opening a terminal window.

2011-03-10 19:45:29 fraggle
	
	Minor tweaks to MacOS instructions.

2011-03-10 19:20:10 fraggle
	
	Minor tweak to INSTALL instructions.

2011-03-10 19:03:23 fraggle
	
	Replace the INSTALL file with a template version that is customized to
	different platforms.

2011-03-09 19:02:15 fraggle
	
	Add null sector dereference emulation code from Prboom+, to fix desync
	with CLNJ-506.LMP (thanks entryway).

2011-03-09 01:06:07 fraggle
	
	Add support for the alternate version of the Final Doom executable
	that fixes the demo loop crash (thanks Porsche Monty, Enjay).

2011-03-06 20:59:51 fraggle
	
	Discard very short sound effects and strip lead-in / lead-out samples
	that apparently aren't played by Vanilla Doom (thanks Quasar).

2011-03-03 21:41:51 fraggle
	
	Fix Visual Studio build (thanks GhostlyDeath).

2011-02-28 20:48:27 fraggle
	
	Fix autoadjust of pixel depth in setup tool.

2011-02-05 16:50:28 fraggle
	
	Fix bug with libtextscreen where it was not possible to type a '+'
	(thanks Alexandre Xavier).

2011-01-31 01:25:47 fraggle
	
	When large numbers of screen resolutions are detected, increase the
	number of columns in the mode list to fit them all on-screen.  Remove
	superfluous left-side spacing from the checkbox and radio button
	widgets so that the modes can be packed closer together.

2011-01-23 21:42:09 fraggle
	
	Fix default joystick buttons in setup tool to match Vanilla (thanks
	twipley).

2011-01-13 20:34:55 fraggle
	
	In configuration files, use the scan code for right shift, not left
	shift, to match Vanilla (thanks AlexXav).

2011-01-12 23:22:20 fraggle
	
	Fix menu navigation when using joystick / joypad (thanks AlexXav).

2011-01-02 18:14:59 fraggle
	
	Update NEWS and ChangeLog, bump version number.

2011-01-02 17:45:24 fraggle
	
	Remove redundant package version label from top of OS X launcher
	window.

2011-01-02 02:49:20 fraggle
	
	Restore window title when changing video driver in setup tool (thanks
	AlexXav).

2011-01-02 02:31:20 fraggle
	
	Turn off dynamic window resizing feature on OS X, as it adds an ugly
	resize handle to the corner of the window that overlaps the view of
	the game.

2010-12-28 16:43:41 fraggle
	
	Make demo loop handling of DEMO4 case depend on the executable version
	being emulated: the Vanilla versions did not have any conditional
	behavior based on gamemode/gamemission.  This has the side effect of
	causing the game to exit with an error when playing with Final Doom,
	but this is Vanilla behavior.

2010-12-25 22:42:40 fraggle
	
	Include NOT-BUGS in rpm packages.

2010-12-25 21:51:24 fraggle
	
	Pass through all command line arguments specified to the setup tool to
	the game, to match Vanilla behavior (thanks AlexXav).

2010-12-25 21:04:10 fraggle
	
	Remove the -wart parameter (thanks Sander van Dijk).

2010-12-25 20:55:30 fraggle
	
	Remove the 32 character limit on the lengths of filenames specified to
	-record (thanks AlexXav).

2010-12-19 20:15:09 fraggle
	
	Change setup tool skill level names to match Doom's "new game" menu
	exactly (thanks AlexXav).

2010-12-18 23:55:07 fraggle
	
	Add a M_CheckParmWithArgs function, that behaves like M_CheckParm but
	also checks that extra options were provided on the command line
	(thanks Sander van Dijk).

2010-12-14 20:55:30 fraggle
	
	Check that an address is provided to the -query command line option
	(thanks Sander van Dijk).

2010-12-12 13:11:11 fraggle
	
	Add -privateserver and -servername options to chocolate-server
	manpage.  Add server registration option to setup tool (thanks
	exp(x)).

2010-12-10 23:56:32 fraggle
	
	Fix memory leak when dynamically resizing window in true color video
	modes.

2010-12-10 22:37:29 fraggle
	
	Fix build problem (thanks Proteh).

2010-12-10 22:21:56 fraggle
	
	Remove "Error:" from the message displayed by I_Error, to match
	Vanilla.

2010-12-10 20:53:23 fraggle
	
	Update NEWS.

2010-12-10 20:43:05 fraggle
	
	Change alignment of actions in a window's action area so that there is
	equal space either side of the center widget.  This is more
	aesthetically pleasing.

2010-12-10 20:31:46 fraggle
	
	Replace txt_widget_t#selectable with a callback function to query
	whether the widget is selectable.  This stops the table code from
	selecting things that aren't really selectable - eg.  empty tables,
	scrollpanes containing unselectable widgets, etc.  Fixes a bug with
	the warp menu (thanks Proteh).

2010-12-10 19:15:37 fraggle
	
	Add "warp" menu to the main menu of the setup tool, like Vanilla
	setup.exe (thanks Proteh).

2010-12-10 18:15:12 fraggle
	
	Fix typo (thanks Sander van Dijk).

2010-12-10 17:53:50 fraggle
	
	Specify master server port explicitly, so that server registration
	works when using -port.

2010-12-07 23:13:34 rtc_marine
	
	- Update chocolate-server codeblocks project

2010-12-07 22:35:17 fraggle
	
	Assign the oldest client to be the controller, not the first found in
	the clients[] array.

2010-12-06 23:37:27 fraggle
	
	Fix -solo-net to actually behave the same as other ports.

2010-12-06 22:38:24 fraggle
	
	Rename -netdemo command line parameter to -solo-net, for consistency
	with other ports (-netdemo is still recognised).

2010-12-06 00:04:08 fraggle
	
	Update NEWS.

2010-12-05 14:42:09 fraggle
	
	Allow textscreen font to be overridden using the TEXTSCREEN_FONT
	command line variable.

2010-12-04 20:56:04 fraggle
	
	Rename search command line options: -search to search the Internet,
	-localsearch to search local LAN.

2010-12-04 20:48:07 fraggle
	
	Add ping time to query output.

2010-12-04 20:40:10 fraggle
	
	Fix formatting for -masterquery to match -search.

2010-12-04 20:34:39 fraggle
	
	Fix bug when running with -server option.

2010-12-02 21:34:51 fraggle
	
	Make multiple query attempts to servers before giving up.  Display a
	warning if the master server does not respond.

2010-12-02 20:32:52 fraggle
	
	Add -servername parameter to allow the owner to change the name
	returned in response to queries (thanks AlexMax).

2010-12-02 20:11:24 fraggle
	
	More refactoring of querying code, to not be specific to the purpose
	of printing out a list.

2010-12-02 19:26:05 fraggle
	
	Refactor query code and add a -masterquery command line parameter to
	query the master server.

2010-12-02 18:23:09 fraggle
	
	Register servers with Internet master server.

2010-11-30 21:52:38 fraggle
	
	Oops.

2010-11-30 20:44:20 fraggle
	
	Remove "-debugfile" command line option and associated variable.

2010-11-30 20:26:37 fraggle
	
	Update NEWS.

2010-11-30 20:09:22 rtc_marine
	
	- Update codeblocks project

2010-11-30 20:00:06 fraggle
	
	Add support for HACX v1.2 IWAD file.

2010-11-30 01:08:59 fraggle
	
	Add NOT-BUGS file with some common Vanilla gotchas.

2010-11-29 20:18:10 fraggle
	
	Auto-adjust the screen color depth if the configured color depth is
	not supported by the hardware.

2010-11-27 23:23:12 fraggle
	
	Add dropdown list to setup tool to select screen BPP.

2010-11-27 19:39:14 fraggle
	
	When generating the texture name lookup hash table, add new entries to
	the end of chains.  This way, entries earlier in the texture list
	trump later entries with the same name.  This fixes a bug with the
	wrong sky being shown in Spooky01.wad (thanks Porsche Monty).

2010-11-27 15:36:43 fraggle
	
	Fix -timer / -avg options to work like Vanilla when playing demos.

2010-11-26 18:56:45 fraggle
	
	In non-palettized boxed screen modes, don't update the border areas of
	the screen.  This is more CPU and memory efficient, and also fixes the
	"flashing border" bug when palette flashes occur.

2010-11-26 18:36:48 fraggle
	
	Turn double buffering on for non-palettized screen modes, as this may
	be the cause of screen tearing reports.

2010-11-24 23:34:18 fraggle
	
	Detect when running on Windows Vista or later, and switch to 32 bpp
	screen mode.

2010-11-24 22:43:37 fraggle
	
	Add configuration file parameter and command line option to specify
	the screen pixel depth.

2010-11-24 08:09:48 fraggle
	
	Add workaround to stop freezeups with old versions of SDL_mixer.

2010-11-21 15:44:43 fraggle
	
	Add -8in32 command line parameter to make the game run in 32-bit color
	mode, scaling up into an intermediate 8-bit buffer first.  This should
	help with the palette problems experienced by Windows Vista/7 users.

2010-11-09 16:10:52 fraggle
	
	Update Python scripts to work in Python 3.

2010-09-19 21:09:36 fraggle
	
	Read response file in binary mode, to fix incomplete response file
	bug.

2010-08-31 21:00:20 fraggle
	
	Add weapon cycling buttons to joystick button list.

2010-08-31 20:59:24 fraggle
	
	Don't double OPL sample values, as it causes horrible things to happen
	with the Heretic title screen music.

2010-08-28 19:35:08 fraggle
	
	Update NEWS.

2010-08-28 19:28:05 fraggle
	
	Include INSTALL file in distribution packages.

2010-08-22 18:59:12 fraggle
	
	Shut up compiler warning.

2010-08-22 02:21:27 fraggle
	
	Change span drawing functions to work the same as Vanilla, so that in
	screenshots, floors and ceilings are pixel-perfect identical to
	Vanilla Doom (thanks Porsche Monty).

2010-08-21 19:49:20 fraggle
	
	Change default mouse acceleration in setup tool to match the game's
	default.

2010-08-21 18:47:24 fraggle
	
	"Bug fix".

2010-08-20 14:01:29 fraggle
	
	Remove debug printf().

2010-08-20 13:20:58 fraggle
	
	Align memory allocated by zone memory system to 8 byte boundaries on
	64-bit machines.  Possibly fixes problems on sparc64?

2010-08-20 12:30:30 fraggle
	
	Extend mouse code to support up to 8 buttons (allows mouse wheel to be
	used).

2010-08-15 16:23:28 fraggle
	
	Fix volume multiply; DBOPL now generating output.

2010-08-15 15:57:37 fraggle
	
	Hook DBOPL into OPL library and remove FMOPL.  Does not generate any
	sound yet.

2010-08-13 19:42:52 fraggle
	
	Add C-converted version of DOSbox OPL emulator.

2010-08-09 18:53:10 fraggle
	
	Add weapon cycling bindings for mouse and joystick buttons.  Add
	weapon cycling bindings to configuration file and setup tool.

2010-08-07 18:23:09 fraggle
	
	Change back filter frequency.  Add debug code to dump resampled sound
	effects to WAV files.

2010-08-07 17:07:00 fraggle
	
	Fix sound resampling low pass filter.

2010-08-04 19:25:04 fraggle
	
	Initial code for previous/next weapon switching keys.

2010-08-03 21:12:36 fraggle
	
	When in windowed mode, allow the screen size to be dynamically resized
	by dragging the window borders.

2010-07-31 20:25:17 fraggle
	
	Add multiplayer spy key binding.

2010-07-28 21:39:07 fraggle
	
	Add config file parameter to set OPL I/O port.

2010-07-17 01:33:57 fraggle
	
	Check for libm, to fix Fedora compile issues.

2010-07-14 21:36:53 fraggle
	
	Set MACOSX_DEPLOYMENT_TARGET to target 10.4, so that the launcher will
	work on older versions.

2010-07-10 17:06:15 fraggle
	
	Update NEWS and ChangeLog, bump version number.

2010-07-10 16:56:18 fraggle
	
	Add key bindings for multiplayer messaging.

2010-07-10 16:27:52 fraggle
	
	Add key binding to change demo recording quit key.

2010-05-30 04:03:44 fraggle
	
	Add INSTALL to all distribution packages, add note in README.

2010-05-30 03:56:58 fraggle
	
	Clarify/update install instructions.

2010-05-14 19:42:32 fraggle
	
	Don't grab the mouse when the demo sequence advances.

2010-05-03 17:47:25 fraggle
	
	Oops.

2010-05-03 16:58:52 fraggle
	
	Update NEWS.

2010-05-01 22:47:26 fraggle
	
	Further sanity checking on use of strcpy() with dehacked string
	replacements.

2010-05-01 22:20:30 fraggle
	
	Silence printf(DEH_String(...)) warnings, by providing a DEH_printf
	function that checks the format string is a valid replacement.  Also
	add DEH_fprintf and DEH_snprintf functions to use throughout the code
	to do similar checking.

2010-05-01 20:22:52 fraggle
	
	Fix compiler warnings with savegame and response file code.

2010-04-30 20:58:30 fraggle
	
	Merge contents of OPL-TODO into TODO file.

2010-04-30 20:38:24 fraggle
	
	Add textscreen Doxyfile to dist.  Add .desktop file to svn:ignore.  Add
	opl ctags file to localvimrc.

2010-04-25 00:53:03 fraggle
	
	Add -reject_pad_with_ff parameter to allow padding value to be
	specified.

2010-04-23 21:46:29 fraggle
	
	Add REJECT buffer overflow emulation, based on code from PrBoom+
	(thanks entryway).  Fixes YDFEAR25.LMP.

2010-04-22 22:38:51 fraggle
	
	Disable OPL debugging messages.

2010-03-08 18:52:59 fraggle
	
	Add OPL-TODO to dist, set svn:ignore properties.

2010-03-08 18:50:29 fraggle
	
	Use native MIDI music by default.

2010-03-08 01:14:23 fraggle
	
	Merge opl-branch to trunk.
	
	OPL support still isn't perfect, and it certainly isn't complete.
	However, for now, it's good enough.

2010-02-10 20:21:21 fraggle
	
	Bump version number, update ChangeLog and NEWS.

2010-01-31 18:21:50 fraggle
	
	Change Windows resource file to use PACKAGE_COPYRIGHT and
	PACKAGE_LICENSE macros.

2010-01-30 16:14:04 fraggle
	
	Change directory to home directory before launching the game, so that
	recorded demos go somewhere sensible.

2010-01-30 16:04:24 fraggle
	
	Set launch button as default button, so that it is possible to launch
	the game by pressing return.

2010-01-30 00:37:17 fraggle
	
	Rename mus2mid functions to be consistent with coding standard.

2010-01-29 23:28:35 fraggle
	
	Remove unused PACKAGE_LONGDESC.

2010-01-29 19:17:56 fraggle
	
	When doing a MUS to MID conversion, allocate MIDI channels so that the
	lowest-numbered MIDI channels are used before higher-numbered ones.
	Fixes ear-piercing whistle sound in the MAP05 music when playing with
	timidity and EAWPATS (thanks entryway / HackNeyed).

2010-01-29 03:55:20 fraggle
	
	Fix indentation/style etc.  in mus2mid.c.

2010-01-27 19:16:26 fraggle
	
	Add tags files to svn:ignore properties.

2010-01-26 19:21:18 fraggle
	
	Minor fix of British spelling -> American.

2010-01-26 19:18:18 fraggle
	
	Fix glass hack windows where a linedef is flagged as two sided but has
	only one side.  Fixes WADs such as OTTAWAU.WAD (thanks Never_Again).

2010-01-23 23:06:45 fraggle
	
	Add menu item to launcher to open a terminal window that can be used
	to start the game.  Add missing 'edit' menu.  Set svn:ignore property
	for osx directory.

2010-01-18 19:40:50 fraggle
	
	Fix package source URL.

2010-01-18 19:29:48 fraggle
	
	Tweak package description slightly.

2010-01-18 19:14:54 fraggle
	
	Define project short description, copyright, maintainer and URL in
	configure.in.  Use these for the Info-gnustep.plist file.  Add
	generated .spec file for building RPM packages.

2010-01-17 16:58:37 fraggle
	
	Update NEWS.

2010-01-17 16:31:03 fraggle
	
	Restore the original cursor when shutting down video code, this should
	hopefully fix the problem with the mouse cursor disappearing when
	exiting on Win9x (thanks Janizdreg).

2010-01-16 19:20:11 fraggle
	
	Update TODO file.

2010-01-15 19:29:28 fraggle
	
	Don't open the configuration window when the launcher is first run;
	display an error message if the user tries to launch the game without
	an IWAD selected.

2010-01-15 19:14:02 fraggle
	
	Fix GNUstep info panel.

2010-01-15 18:51:35 fraggle
	
	Center the launcher window and config window on startup.

2010-01-15 18:40:37 fraggle
	
	Add wadfile.png for GNUstep build.

2010-01-15 18:13:05 fraggle
	
	Extend osx makefile to allow building of a working GNUstep
	application, for testing purposes.  Add GNUstep version of Info.plist,
	remove app-skeleton directory and move contents up.

2010-01-14 18:47:03 fraggle
	
	In Chex Quest, use the radiation suit colormap instead of the red
	colormaps that are usually used when taking damage (or using the
	berserk pack).  This matches the Vanilla chex.exe behavior (thanks
	Fuzztooth).

2010-01-12 20:16:25 fraggle
	
	Oops.

2010-01-12 20:15:34 fraggle
	
	Strip executables when building Windows CE packages.

2010-01-12 20:14:11 fraggle
	
	Rearrange order of Makefile generation to alphabetical order.

2010-01-12 20:12:56 fraggle
	
	Move Makefile definitions for CC and STRIP into config.make, use
	versions from autoconf.

2010-01-12 20:09:54 fraggle
	
	Set main menu title based on package name, not fixed string.

2010-01-12 20:09:01 fraggle
	
	Place commercial level name strings consecutively in the same array,
	so that overflowing the end of one list accesses the start of the
	next.  This trick is used by pl2.wad for its MAP33 secret level.

2010-01-12 01:32:24 fraggle
	
	Add missing connection for plutonia.wad set button.

2010-01-12 01:20:48 fraggle
	
	Add document icon file and use for file associations.

2010-01-11 19:10:42 fraggle
	
	Insert new files into the command line at the correct location,
	allowing multiple files to be opened at once.

2010-01-11 01:35:04 fraggle
	
	When launching a file from the finder, add the new file into the
	command line at the appropriate position in the command line string.

2010-01-10 20:46:15 fraggle
	
	Change "@executable_path@" to "@executable_path"

2010-01-10 18:48:21 fraggle
	
	Install docs with a single cp, rather than using a for loop.

2010-01-10 18:42:35 fraggle
	
	Recursively copy library dependencies into destination package.
	Identify libraries to be installed based on the path in which they are
	located, rather than whether there is "libSDL" in the name.  Use
	install_name_tool to change the search path so that the system looks
	for libraries in @executable_path@ rather than their location on the
	machine upon which the program was built.

2010-01-09 21:06:31 fraggle
	
	Clear existing arguments when adding a file.

2010-01-09 20:42:30 fraggle
	
	Add file to command line when opened; add link from AppController to
	LauncherManager.

2010-01-09 18:54:04 fraggle
	
	Initial code to identify file type by extension and add file to
	command line.

2010-01-09 18:38:48 fraggle
	
	Hook in AppController as delegate for application, add file
	associations to property list file.

2010-01-05 17:20:58 fraggle
	
	Add "clean" target to package makefiles.

2010-01-05 15:52:12 fraggle
	
	Move config.make up to pkg/ directory.  Use static makefiles to
	generate all packages, rather than dynamically generated makefiles.
	Add pkg/osx to dist.  Make OS X staging directory depend on top level
	documentation files.  Generate CMDLINE as part of standard build if it
	is not already present.  Set svn:ignore properties.

2010-01-04 22:53:44 fraggle
	
	Fix single space error when listing libraries.

2010-01-04 22:45:45 fraggle
	
	Copy binaries into app dir along with libraries.

2010-01-04 22:24:48 fraggle
	
	Include documentation files in package.

2010-01-04 22:19:53 fraggle
	
	Fix GNUstep build.

2010-01-04 22:11:11 fraggle
	
	Generate Info.plist and config.make in configure and remove temporary
	versions.  Include config.h from top level.

2010-01-04 22:01:32 fraggle
	
	Import OS X launcher code to trunk.

2010-01-03 03:49:11 fraggle
	
	Add quotes around $@ in autogen script (thanks exp[x])

2009-12-28 20:57:20 fraggle
	
	When recording low resolution (non-longtics) Vanilla demos, carry
	forward the error from angleturn caused by the reduced resolution, so
	that consecutive errors can accumulate, possibly making turning
	slightly smoother.

2009-12-27 01:42:13 fraggle
	
	Oops.

2009-12-27 00:11:18 fraggle
	
	Allow DOOMWADDIR/DOOMWADPATH to contain the complete path to IWAD
	files, as well as directories in which to search for IWAD files.

2009-12-18 22:11:06 fraggle
	
	Fix poor quality application icons seen when the game is running.  Add
	back 8-bit icon files alongside files including both 8-bit and high
	quality 32-bit versions.  Use the high quality icon files for resource
	files includes, and the low quality ones for in-game SDL.

2009-12-18 21:11:32 fraggle
	
	Update generated source files containing icon data.

2009-12-18 21:10:35 fraggle
	
	Make ExecuteCommand() under Unix return a failure when the executable
	cannot be executed.

2009-12-14 20:57:04 fraggle
	
	Use GetModuleFileNameW to get the (Unicode) path to the Doom
	executable.  This hopefully fixes problems with Unicode directory
	names.

2009-12-14 18:54:25 fraggle
	
	Add Chocolate Doom/setup icons with scaled versions for various
	different icon sizes (thanks MikeRS).

2009-12-12 01:20:49 fraggle
	
	Fix textscreen black border bug.

2009-12-09 02:40:39 fraggle
	
	Fix the setup tool on Windows Vista/7 to not prompt for elevated
	permissions and to disable the "Program Compatibility Assistant"
	(thanks hobbs and MikeRS).

2009-11-29 22:50:17 fraggle
	
	Add other missing files to dist.

2009-11-29 22:25:51 fraggle
	
	Include .lvimrc in dist.

2009-11-21 03:56:59 fraggle
	
	Add Makefile to build Win32 packages.

2009-11-21 02:05:56 fraggle
	
	Use execvp() rather than execv(), to look up Doom binary in the PATH
	if necessary.

2009-11-21 00:40:58 fraggle
	
	Apply configuration file invalid key setting fix to setup code.

2009-11-21 00:38:16 fraggle
	
	Don't crash if key settings are set in a configuration file that are
	out of range (thanks entryway).

2009-11-21 00:24:59 fraggle
	
	Fix crash with chocolate-setup under Windows (thanks Janizdreg).

2009-11-19 21:49:13 fraggle
	
	Rework the OS X MIDI disabling code, as SDL_mixer 1.2.11 fixes the
	crash.  Check and disable MIDI by default if using an older version of
	SDL on OS X.

2009-11-19 21:07:31 fraggle
	
	Make chocolate-setup use its own location in the filesystem to find
	the location of the chocolate-doom executable.  Remove INSTALL_DIR
	define.

2009-11-05 19:57:55 fraggle
	
	Perform bounds checking on values passed to TXT_UpdateScreenArea() to
	avoid crashes.

2009-10-26 19:28:12 fraggle
	
	Initial hacks for compiling under SDL 1.3.

2009-10-17 21:13:54 fraggle
	
	Fix error in last change.

2009-10-17 20:39:37 fraggle
	
	Use M_StrToInt() when processing values passed with -spechit, so that
	hex values can be specified.

2009-10-17 20:29:46 fraggle
	
	Import donut overrun emulation code from PrBoom+ (Thanks entryway).

2009-10-16 19:10:30 fraggle
	
	Fix compilation under MSVC (thanks entryway).

2009-10-10 23:58:25 fraggle
	
	Rename pkg/wince/Makefile to pkg/wince/GNUmakefile (it uses GNU
	extensions).

2009-10-10 22:46:14 fraggle
	
	Add pkg directory to make dist.

2009-10-10 02:02:58 fraggle
	
	Don't crash when using the donut special type and the joining linedef
	is one sided (thanks Alexander Waldmann).

2009-10-05 21:25:53 fraggle
	
	Fix desync in ep1-0500.lmp on 64-bit (thanks exp(x)).

2009-10-05 00:38:14 fraggle
	
	Provide pointer to STARTUPINFO structure when calling CreateProcessW,
	to stop crash under normal Windows (not CE) when launching Doom from
	the setup tools (thanks Janizdreg).

2009-10-01 20:08:21 fraggle
	
	Oops.

2009-10-01 02:04:00 fraggle
	
	Oops.

2009-10-01 00:07:03 fraggle
	
	Change British English spellings to American English, for consistency.

2009-09-20 16:27:40 fraggle
	
	Use "const char" in libtextscreen where appropriate (thanks entryway).

2009-09-11 22:56:47 fraggle
	
	Add (lack of) copyright notice for SDL workaround.

2009-09-07 20:43:04 fraggle
	
	Fix compilation under MacOS X.

2009-09-06 19:15:52 fraggle
	
	Fixes for MSVC compile (thanks entryway).

2009-08-28 00:27:47 fraggle
	
	Allow PGUP/PGDN to scroll up and down in scroll panes (thanks
	LionsPhil).

2009-07-20 23:27:59 fraggle
	
	Remove redundant variable assignment (thanks Quasar/Yagisan)

2009-07-20 01:37:41 fraggle
	
	Save and display the loading disk icon as a fixed 16x16 square, from
	an image drawn at the bottom right corner of the screen.  This seems
	to be the same as how Vanilla behaves, and fixes chook3.wad, that uses
	an STDISK replacement with an offset that pushes the image to the
	left.

2009-07-13 23:43:06 fraggle
	
	Add stdio.h include to fix MSVC build (thanks Kaiser)

2009-07-12 17:47:12 fraggle
	
	Fix compile with libsamplerate.

2009-07-12 15:00:50 fraggle
	
	On Windows CE, use the Windows API to find the amount of available
	memory, so that at least two megabytes are always left available to
	the OS.

2009-07-11 12:15:32 fraggle
	
	Add missing item to NEWS.

2009-07-07 20:46:55 fraggle
	
	Update NEWS.

2009-07-07 20:38:00 fraggle
	
	Fix launching of the game from the setup tool in Windows CE.

2009-06-21 20:33:35 fraggle
	
	Add Makefile for building CAB files, dependency calculation.

2009-06-21 20:19:43 fraggle
	
	Use correct filename for SDL_net DLL.

2009-06-21 20:03:38 fraggle
	
	Remove temporary files after generating CAB file.

2009-06-20 23:13:44 fraggle
	
	Add script to generate Windows CE install package.

2009-06-16 20:47:13 fraggle
	
	Automatically allocate a smaller zone size if it was not possible to
	allocate the default 16 MiB.

2009-06-13 18:10:18 fraggle
	
	Don't post zero key events.

2009-06-12 20:07:55 fraggle
	
	On Windows CE systems without a keyboard, patch the default settings
	to use hardware keys.

2009-06-12 18:58:42 fraggle
	
	Remove debug messages.

2009-06-12 18:35:39 fraggle
	
	Set the USER environment variable based on the owner information from
	the registry.

2009-06-12 18:34:27 fraggle
	
	Always grab input on Windows CE.

2009-06-11 22:34:36 fraggle
	
	Include libc_wince.a in chocolate-server build.

2009-06-11 20:41:20 fraggle
	
	Grab the input in setup when reading a new key binding, so that
	Windows CE buttons are read properly.  Map buttons to PC function
	keys.

2009-06-11 19:19:05 fraggle
	
	Include libc_wince.h on Windows CE.

2009-06-11 19:18:12 fraggle
	
	Declare getenv/putenv on Windows CE for recent SDL versions that do
	not declare it.

2009-06-10 20:03:08 fraggle
	
	Add key bindings for pause, message refresh.

2009-06-08 20:26:29 fraggle
	
	Remove debugging code.

2009-06-08 19:15:57 fraggle
	
	Use SDL's getenv/putenv implementation, and populate at startup.

2009-06-08 00:41:10 fraggle
	
	Use CreateFileW instead of OpenFile (doesn't exist on Windows CE)

2009-06-07 20:08:08 fraggle
	
	Fix header includes (thanks exp[x])

2009-06-07 19:18:02 fraggle
	
	Don't add DirectX/Windib selector on Windows CE.

2009-06-07 18:53:25 fraggle
	
	Use home dir to store configuration and savegames under Windows CE.

2009-06-07 18:33:19 fraggle
	
	Fix setup tool display configuration dialog when fullscreen is not
	supported.

2009-06-07 18:10:05 fraggle
	
	Make auto-adjust code switch to windowed mode if no fullscreen modes
	are available.

2009-06-07 17:41:46 fraggle
	
	Catch errors when initialising SDL.  Use the small textscreen font by
	default on Windows CE if no fullscreen modes are available.

2009-06-07 17:39:08 fraggle
	
	Add missing SDL_thread include.

2009-06-07 17:35:43 fraggle
	
	Don't try to use the SDL DirectX driver under Windows CE.

2009-06-07 16:21:41 fraggle
	
	Fix setup tool compile on Windows CE.

2009-06-07 16:15:40 fraggle
	
	Remove call to setbuf.

2009-06-07 15:35:27 fraggle
	
	Add IWAD search dirs for Windows CE.

2009-06-07 15:20:46 fraggle
	
	Exit with an error on failure to allocate zone memory.

2009-06-07 03:10:21 fraggle
	
	Use MessageBoxW instead of MessageBox (doesn't exist on Windows CE)

2009-06-07 02:59:49 fraggle
	
	Add README file for Windows CE library.

2009-06-07 02:56:21 fraggle
	
	Detect Windows CE target and build/include libc_wince files as
	necessary.

2009-06-07 02:50:47 rtc_marine
	
	- Update textscreen codeblocks project to include txt_scrollpane.* and
	txt_smallfont.h

2009-06-07 02:33:58 fraggle
	
	Include libc_wince.h when on Windows CE.

2009-06-07 02:32:15 fraggle
	
	Add CPU affinity function for Windows CE.

2009-06-07 02:27:58 fraggle
	
	Add libc_wince.h header, and EISDIR error value.

2009-06-07 02:27:30 fraggle
	
	Use GetUserNameExW, not GetUserName (doesn't exist on WinCE)

2009-06-07 02:26:45 fraggle
	
	Fix compile with FEATURE_MULTIPLAYER disabled.

2009-06-07 02:24:40 fraggle
	
	Fix compile with FEATURE_SOUND disabled.

2009-06-07 01:56:23 fraggle
	
	Add Windows CE implementations of some ANSI C functions that are
	missing.

2009-06-06 22:13:44 fraggle
	
	Don't check for Steam/CD installer versions on Windows CE.

2009-06-05 17:58:48 fraggle
	
	Add key binding variables for automap and weapon keys.

2009-06-04 00:37:02 fraggle
	
	Increase height of menu bindings dialog.

2009-06-04 00:35:05 fraggle
	
	Use newer keyboard bindings dialog layout from raven-branch.

2009-06-04 00:20:37 fraggle
	
	Add unique key groups for menu navigation and shortcuts.

2009-06-04 00:20:06 fraggle
	
	Use key for confirming menu messages, not typed char.

2009-06-03 21:45:54 fraggle
	
	Add dialog to setup tool for editing menu shortcuts.

2009-06-03 21:18:04 fraggle
	
	Add config file variables to increase/decrease screen size.

2009-06-03 20:59:26 fraggle
	
	Fix shortcut keys for menu items.

2009-06-03 20:55:50 fraggle
	
	Add configuration file entries for menu key bindings.

2009-06-03 20:37:19 fraggle
	
	Add key_ variables for the keys used to control the menu.

2009-05-26 23:14:24 fraggle
	
	Fix tags for functions using TXT_UNCAST_ARG.

2009-05-26 22:13:18 fraggle
	
	Set appropriate vim 'tags' variable for ctags files.

2009-05-21 20:18:38 fraggle
	
	Set display settings window position based on screen dimensions,
	rather than hard coding position.

2009-05-19 18:07:49 fraggle
	
	Fix manpage documentation for DOOMWADPATH (thanks MikeRS)

2009-05-18 19:30:49 fraggle
	
	Fix A_BossDeath behavior in v1.9 emulation mode (thanks entryway)

2009-05-17 14:54:19 fraggle
	
	Always use an SDL buffer size that is a power of two.  Reduce buffer
	size to 70ms.

2009-05-12 19:03:20 fraggle
	
	Add option to "join game" dialog in setup tool to autojoin a LAN game.

2009-05-12 19:01:27 fraggle
	
	Make txt_inputboxes emit a "changed" signal when their value is
	changed.

2009-05-07 22:59:38 fraggle
	
	Calculate SDL buffer size automatically based on sample rate.

2009-05-05 01:00:53 fraggle
	
	Better ASCII chart.

2009-05-05 00:46:27 fraggle
	
	Minor smallfont fixups.

2009-05-01 22:05:57 fraggle
	
	Add copyright headers to textscreen examples.

2009-04-26 17:59:08 fraggle
	
	More smallfont fixups.

2009-04-23 20:58:11 fraggle
	
	Fix up some extended ASCII characters.

2009-04-23 19:19:52 fraggle
	
	Oops.

2009-04-23 19:18:43 fraggle
	
	Add small textscreen font for low resolution displays, based on the
	Atari-Small font by Tom Fine.

2009-03-15 14:44:23 fraggle
	
	Fix clipped sounds when using libsamplerate (thanks David Flater)

2009-03-14 15:28:41 fraggle
	
	Add check to allow sched_setaffinity code to work on older versions of
	libc.

2009-03-12 18:55:27 fraggle
	
	Define INVALID_SET_FILE_POINTER if it is not defined, to fix
	compilation under MSVC6 (thanks Quasar)

2009-03-08 22:51:25 fraggle
	
	Add "make doc" target to run Doxygen, and add a Doxyfile.  Add @file
	tags to start of header files so that Doxygen will process them.

2009-03-07 00:35:08 fraggle
	
	Add documentation for high-level txt_desktop.h functions.

2009-03-07 00:24:45 fraggle
	
	Add documentation for high-level textscreen functions.

2009-03-06 20:01:32 fraggle
	
	Fix signed/unsigned conversion warning.

2009-03-03 19:26:20 fraggle
	
	Look up SetProcessAffinityMask function at runtime, so that the
	program should work under Win9x again.

2009-01-30 23:53:47 fraggle
	
	Fix layout of widgets within scroll panes.  Scroll scroll panes in
	response to keyboard events.

2009-01-29 23:26:03 fraggle
	
	Shrink text box slightly.

2009-01-29 23:00:14 fraggle
	
	Allow clicking within scroll bars to set position.

2009-01-29 22:54:13 fraggle
	
	Add scrollable pane widget to textscreen library.

2009-01-17 14:05:31 fraggle
	
	Fix '-mmap' command line parameter.

2009-01-07 22:05:13 fraggle
	
	Create the ~/.chocolate-doom/savegames directory on startup if it does
	not exist.

2009-01-07 21:51:37 fraggle
	
	Replace -nommap with -mmap; do not use mmap()ed file access by
	default.  Fixes Plutonia 2, and several other minor things.

2008-12-10 20:25:05 fraggle
	
	Bump version to 1.2.1, update NEWS and ChangeLog.

2008-12-10 20:20:10 fraggle
	
	Fix crash when playing Doom 1 levels.

2008-12-10 01:06:08 fraggle
	
	Bump version to 1.2.0, update NEWS and ChangeLog.

2008-12-10 01:01:19 fraggle
	
	Undo previous change.

2008-12-10 00:42:49 fraggle
	
	Set icon before calling TXT_Init, for setup and ENDOOM screens.

2008-12-10 00:00:55 fraggle
	
	Fix window icon/title under Windows XP Luna theme.

2008-12-09 23:32:19 fraggle
	
	Make intermission screen work on MAP33, to be consistent with Vanilla
	Doom.  Also, make levels after MAP33 trigger a V_DrawPatch error.

2008-12-09 20:35:17 fraggle
	
	Add check for sched_setaffinity to configure and only use it if it is
	found.  Display a message if we don't have any way to set processor
	affinity.

2008-12-09 19:56:43 fraggle
	
	Add SDL_CFLAGS, SDL_LDFLAGS to default compile flags, and check for
	SDL in configure before checking for libraries and headers, to fix
	Windows.

2008-12-03 22:09:22 fraggle
	
	Use FILE_MAP_COPY instead of FILE_MAP_ALL_ACCESS for mapping files
	(thanks to Christian Chech).

2008-12-01 21:08:23 fraggle
	
	Don't try to read SDL events until initialised.

2008-10-01 21:22:09 fraggle
	
	Add .lvimrc local vim project settings.

2008-09-21 19:20:32 fraggle
	
	Don't play DEMO4 if gameversion is emulating chex.exe - it only plays
	demos 1-3.

2008-09-20 19:18:06 fraggle
	
	Set processor affinity under non-Windows platforms using the POSIX
	API.

2008-09-16 01:17:20 rtc_marine
	
	- Force use of dwarf-2 debugging information - Fix an age-old problem
	of not being able to find -lpcsound, the debug target was looking for
	it rather than -lpcsound-dbg

2008-09-14 19:14:46 fraggle
	
	Add -nocheat command line parameter to disable applying cheats from
	dehacked files.

2008-09-07 18:47:08 fraggle
	
	Strip out NUL characters from dehacked files; this makes the dehacked
	patch with portal.wad load properly.

2008-08-29 00:31:53 fraggle
	
	Update TODO.

2008-08-24 03:06:26 fraggle
	
	Update INSTALL to include some notes about Chex Quest.

2008-08-24 02:58:57 fraggle
	
	Update missing chex.deh to reference its location in the idgames
	repository.

2008-08-20 19:27:56 fraggle
	
	Use / as a path separator, to allow cross-compiling of resource files
	(thanks Anonymous bug reporter)

2008-08-19 20:51:41 fraggle
	
	Fix crash related to A_BFGSpray with NULL target when using dehacked
	patches - discovered with insaned2.deh (thanks CSonicGo)

2008-08-09 18:09:23 fraggle
	
	Don't modify level lumps when loading levels.

2008-08-08 23:38:25 fraggle
	
	Use FILE_MAP_ALL_ACCESS rather than FILE_MAP_READ when mmapping files
	under Windows (thanks entryway)

2008-08-02 14:29:37 fraggle
	
	Search for chex.deh in WAD path.

2008-07-31 23:01:38 fraggle
	
	Update netcode to allow chex quest gameversion.

2008-07-31 22:29:20 fraggle
	
	Update Chocolate Setup to support chex.wad.

2008-07-31 21:21:58 fraggle
	
	Fix crash on Chex Quest intermission screen (thanks entryway)

2008-07-31 21:06:42 fraggle
	
	Automatically load chex.deh on startup if playing in chex mode.

2008-07-31 20:43:45 fraggle
	
	Fix mistake in exit confirmation string that was breaking dehacked
	patches that replace it.

2008-07-31 12:55:35 rtc_marine
	
	Update codeblocks project to locate setup manifest

2008-07-29 19:06:04 fraggle
	
	Don't do the Final Doom teleport quirk with Chex Quest, as chex.exe
	doesn't do it.

2008-07-29 19:05:16 fraggle
	
	Monsters don't drop ammo in Chex Quest.

2008-07-29 01:50:56 fraggle
	
	Add magic dehacked comment to enable long cheat sequences (also for
	Chex Quest support)

2008-07-27 00:51:25 fraggle
	
	In chex mode, always warp to an episode 1 level, and display the level
	title in the automap for the equivalent episode 1 level.

2008-07-26 16:45:52 fraggle
	
	Allow magic comments in dehacked files that disable the DOS dehacked
	text replacement limit, so that we can use a dehacked patch to emulate
	chex.exe.

2008-07-26 16:29:08 fraggle
	
	Chex Quest's chex.exe is based on the Final Doom exe, not the Ultimate
	Doom exe.

2008-07-26 16:23:06 fraggle
	
	Fix "dimensional shambler waiting at the dos prompt" quit message to
	match the one in doom2.exe precisely.

2008-07-25 20:56:39 fraggle
	
	Initial chex.exe emulation.

2008-07-10 00:22:34 fraggle
	
	Fix dehacked replacements for the "press y to quit to dos" string.

2008-07-07 10:10:26 fraggle
	
	Fix quit screen confirm message to say "quit to dos" rather than just
	"quit" (thanks MikeRS)

2008-06-14 18:42:06 fraggle
	
	Add a helpful message for people trying to play with the wrong IWAD.

2008-06-11 01:14:07 fraggle
	
	Only apply dehacked green armor class to the green armor shirt, not
	the armor helmets as well.

2008-06-09 19:11:24 fraggle
	
	Always set armor class to 2 when picking up a megasphere (thanks
	entryway).

2008-05-05 04:52:08 GhostlyDeath
	
	Updated Code::Blocks project for new files

2008-05-05 04:48:45 fraggle
	
	Add setup-manifest.xml to dist.

2008-05-05 04:44:28 GhostlyDeath
	
	Updated VC++ Project for added files; Manifest should have version
	1.1.1.0 not 1.0.0.0; the rc files in the codeblocks folder have been
	updated

2008-05-05 04:11:29 fraggle
	
	(Hopefully) fix for Windows Vista asking for security elevation when
	running chocolate-setup.

2008-05-04 22:43:38 fraggle
	
	Remove Vanilla Doom reload hack.

2008-05-04 18:09:51 fraggle
	
	Add command line option to disable mmapped WAD I/O.

2008-05-04 17:45:10 fraggle
	
	Fix win32 mmap driver and add to build.

2008-05-02 23:52:00 fraggle
	
	Add Windows memory mapping backend.

2008-05-02 20:19:38 fraggle
	
	Memory-mapped WAD access.

2008-05-02 20:18:52 fraggle
	
	Fix up some more code calling Z_Free instead of W_ReleaseLumpNum.

2008-05-02 19:48:43 fraggle
	
	Add W_CacheLumpNum,Name API to WAD code for releasing a lump back to
	cache when it is no longer needed.  Switch existing code to use the
	new API instead of Z_ChangeTag.

2008-05-02 18:32:09 fraggle
	
	Add WAD I/O abstraction layer - first step for mmapped WAD access.

2008-04-26 17:31:47 fraggle
	
	"Python Image Library" -> "Python Imaging Library" (thanks exp(x)).

2008-04-26 15:33:14 fraggle
	
	Add new Chocolate Doom icon.

2008-04-26 00:33:00 fraggle
	
	Generate transparency mask for the application icon from black parts
	of the image.

2008-04-23 08:44:17 GhostlyDeath
	
	VC++ Project now builds

2008-04-20 02:00:11 fraggle
	
	Bump version to 1.1.1, update ChangeLog and NEWS.

2008-04-19 17:41:58 fraggle
	
	Fix build problem when libsamplerate support is enabled.

2008-04-19 16:52:37 fraggle
	
	Bump version to 1.1.0, update ChangeLog and NEWS.

2008-04-19 16:30:42 fraggle
	
	Fix some more warnings.

2008-04-19 16:27:50 fraggle
	
	Fix warning.

2008-04-19 14:43:17 fraggle
	
	Don't successfully save a savegame if a buffer overrun occurs, and
	don't overwrite the existing savegame.

2008-04-19 14:24:59 fraggle
	
	Update NEWS.

2008-04-16 21:30:04 fraggle
	
	Update some of the documentation.

2008-04-16 00:16:16 fraggle
	
	Make the BSD PC speaker driver work on FreeBSD.

2008-04-15 22:40:33 fraggle
	
	Make use_libsamplerate be an integer value that controls conversion
	quality, rather than an on/off setting.

2008-04-15 22:19:35 fraggle
	
	Fix bug with joystick configuration.

2008-04-02 01:00:11 fraggle
	
	April Fools!

2008-04-01 01:10:20 fraggle
	
	Flip all levels on load - the game is more fun this way.

2008-03-30 23:17:13 rtc_marine
	
	Fix an error message

2008-03-15 23:54:00 rtc_marine
	
	Fix build of Chocolate Server

2008-03-13 18:41:00 fraggle
	
	Display a warning message if use_libsamplerate != 0, but libsamplerate
	support is not compiled in.

2008-03-13 18:33:59 fraggle
	
	Apply SRC patch from David Flater.

2008-03-12 20:12:51 fraggle
	
	Add "see also" sections to manpages and GPL note.  Add "files" section
	to chocolate-doom.6

2008-03-09 03:19:35 rtc_marine
	
	update codeblocks project to reflect previous commit changes

2008-03-09 03:02:48 fraggle
	
	Split out configuration file code from m_misc.c into m_config.c.  Move
	screenshot code into v_video.c Add M_FileLength common function for
	finding the length of an open file.

2008-02-28 21:22:41 fraggle
	
	Move vc9/ project files into the msvc/ directory and update the README
	file for the MSVC files.

2008-02-28 20:07:31 fraggle
	
	Fix MSVC project file and resource file for new filenames.

2008-02-28 20:04:10 fraggle
	
	Add fixes for MSVC warnings (thanks entryway).

2008-02-26 22:13:35 fraggle
	
	Update NEWS.

2008-02-26 22:10:06 fraggle
	
	Don't sort config file variables alphabetically.  Throw an exception
	for unknown documentation comments.

2008-02-26 22:05:41 fraggle
	
	Minor config file documentation fixes.

2008-02-25 23:50:07 fraggle
	
	Replace manpage header, footer, environment files with a single
	template file.  Generate documentation for the default.cfg and
	chocolate-doom.cfg configuration files.

2008-02-24 20:25:51 fraggle
	
	Switch to using CONFIG_VARIABLE_ macros for the configuration file
	tables.  Add documentation for each value (for autogenerating
	documentation).

2008-02-24 00:55:07 fraggle
	
	Fix leftover "junk" displayed on the screen on the initial melt when
	using -warp.

2008-02-23 22:51:17 fraggle
	
	Perform a low-pass filter of converted sounds to filter out
	high-frequency noise from the upscaling process.

2008-02-21 20:01:30 fraggle
	
	Shut up compile warning.

2008-02-17 03:12:25 fraggle
	
	Add command line option for server to allow client version checking to
	be disabled.

2008-02-13 19:06:11 fraggle
	
	Don't try to precache sound effects that don't exist.

2008-02-12 22:16:12 fraggle
	
	Add comment.

2008-02-12 22:07:41 fraggle
	
	Use SRC_SINC_FASTEST for speed when using libsamplerate for
	conversions, and precache all sound effects for speed.

2008-02-12 21:29:58 fraggle
	
	Add use_libsamplerate variable to setup.

2008-02-12 21:26:31 fraggle
	
	Set the default startup_delay to 1s.

2008-02-11 22:59:51 fraggle
	
	Add support for sample rate conversion using libsamplerate (thanks to
	David Flater for this patch).

2008-02-10 18:44:05 fraggle
	
	Fix compiler warnings.  Refactor the intercepts overrun code so that
	it should work properly on big endian machines as well as little
	endian machines.

2008-02-09 22:31:02 fraggle
	
	Fix up the R_Main startup progress dots.  If stdout is a file, don't
	display the surrounding box.

2008-02-09 22:21:33 fraggle
	
	Set the process affinity mask to 1 on Windows, to work around a bug in
	SDL_mixer (thanks entryway).

2008-02-09 22:04:13 fraggle
	
	Set the SDL_VIDEODRIVER in setup, so that we get the correct modes
	list (different video drivers can give different results).  Restart
	textscreen when the video driver is changed.

2008-02-09 20:30:27 fraggle
	
	Define WIN32_LEAN_AND_MEAN to fix windows build of i_system.c.

2008-02-09 19:17:19 fraggle
	
	Remove some unneeded functions from i_system.c.  Make I_Error exit
	using exit() rather than abort().  Display a message box with the
	error on Windows.

2008-02-06 23:55:33 fraggle
	
	Use geometric distance to find the nearest mode when autoadjusting,
	rather than number of pixels.

2008-02-06 23:42:29 fraggle
	
	Add -geometry command line parameter to allow the screen size to be
	specified with one combined option.

2008-02-06 22:18:16 fraggle
	
	Make 320x240 a "good" mode when aspect ratio correction is turned off.
	Don't switch to "bad" modes when changing other settings.

2008-02-05 23:32:30 fraggle
	
	Set screen_{width,height} when finding the nearest mode.  Save the
	last mode explicitly selected and use this as criteria for which mode
	is nearest.  Align the display window so that the top always stays
	still.

2008-02-05 05:34:07 rtc_marine
	
	fix a few warnings

2008-02-04 22:45:53 fraggle
	
	Mark 512x400 as a "bad" mode (don't autoadjust to it in fullscreen).
	Makes 640x480 the default when 320x200 mode is not available.

2008-02-04 22:43:11 fraggle
	
	Update chocolate-setup to the new screen mode config system.

2008-01-31 22:43:20 rtc_marine
	
	Use project names as binary names

2008-01-30 19:09:31 fraggle
	
	Be more accurate in describing windowboxed modes as either
	"pillarboxed", "letterboxed" or "windowboxed".

2008-01-26 15:38:28 fraggle
	
	Update make dist for new codeblocks files.

2008-01-25 23:05:53 rtc_marine
	
	Change filenames to be name independant Update the project files and
	main workspace

2008-01-25 22:48:23 fraggle
	
	Update win32 resource files for the new icon filenames.

2008-01-25 17:37:48 fraggle
	
	Rename some files to be package name independent.

2008-01-24 19:26:12 fraggle
	
	Update NEWS.

2008-01-24 19:14:44 fraggle
	
	Add manpages for chocolate-setup, chocolate-server, based on the
	versions by Jon Dowland for the Chocolate Doom debian package
	(thanks!)

2008-01-24 19:10:49 fraggle
	
	Make lookup tables const where possible.

2008-01-24 19:09:47 fraggle
	
	Fix fast / respawning monsters parameter not exchanged when starting
	netgames (thanks GhostlyDeath).

2008-01-23 23:56:35 fraggle
	
	Add URLs for patches.

2008-01-22 20:02:02 fraggle
	
	Use MEM_SEEK_SET for memio, not SEEK_SET.

2008-01-22 20:00:42 fraggle
	
	Add SDL_mixer, SDL_net URLs and a section on timidity.

2008-01-22 19:55:50 fraggle
	
	Include MSVC project files in make dist.

2008-01-22 19:52:38 fraggle
	
	Add INSTALL file.

2008-01-21 15:07:15 GhostlyDeath
	
	Removed spaces from VC9 Project

2008-01-20 16:18:16 fraggle
	
	Fix loading disk icon.  Add back -1, -2, -3 command line options for
	scale.  Only allow 320x200, 640x400 special case for aspect ratio
	correct when running fullscreen.  Clean up "nearest mode"
	autoadjustment.  Fix crash with autoadjust when running windowed.

2008-01-20 04:59:50 fraggle
	
	Add -width, -height command line parameters for specifying the screen
	mode.

2008-01-20 04:47:52 fraggle
	
	Refactor the video mode configuration system.  The previous system was
	built around the program choosing a screen mode from the user's
	settings, this is based around choosing settings from the specified
	screen mode.  As such, the old screenmultiply config variable is now
	gone.  Also, aspect ratio correction is now on by default.  Add new
	aspect ratio correction functions for horizontal squashing (as a
	complement to the existing vertical stretching).

2008-01-20 01:59:39 fraggle
	
	Use strcmp(), not strcasecmp() for checking driver name

2008-01-20 00:22:47 fraggle
	
	Revert doomdef.h include added to pcsound.c.

2008-01-16 14:41:07 rtc_marine
	
	Fix build Remove unused libraries from certain projects

2008-01-16 14:33:08 GhostlyDeath
	
	Updated VC9 project, -setup and -server now build correctly

2008-01-16 13:39:24 GhostlyDeath
	
	Added MSVC9 (2k8 Express) Project File; The client builds but -setup
	and -server just need to have files excluded/included from the project

2008-01-16 11:13:42 rtc_marine
	
	Update config.h to 1.0.0 for the codeblocks projects

2008-01-12 12:28:08 fraggle
	
	Make sure we credit Id in the manpage as well.  Update copyright to
	2008.

2008-01-10 00:46:53 fraggle
	
	Use the same spechits magic value that PrBoom-plus uses (thanks
	Lemonzest).

2007-12-30 04:51:56 fraggle
	
	Add environment variable section to manpage.

2007-12-18 22:09:51 fraggle
	
	Don't center the mouse on startup if the mouse is disabled (thanks
	Siggi) Reset the palette when the window is restored to clear any
	screen corruption (thanks Catoptromancy)

2007-12-14 22:23:13 fraggle
	
	Don't grab the mouse if the mouse is disabled by -nomouse or through
	use_mouse in the configuration file (thanks MikeRS).

2007-12-14 18:31:28 fraggle
	
	Update NEWS.

2007-12-14 18:29:23 fraggle
	
	Include doomfeatures.h in deh_misc.h so that FEATURE_DEHACKED is
	checked properly.  Fixes STRAIN desyncs with BFG Cells/Shot not set
	properly.

2007-12-13 23:04:58 fraggle
	
	Add a list of wiki pages to link to and automatically insert links.

2007-12-13 22:32:33 fraggle
	
	Add missing argument to the extraconfig command line parameter.

2007-12-13 22:27:07 fraggle
	
	Add mmapped file IO note to TODO.

2007-12-13 22:26:16 fraggle
	
	Add @vanilla tag for Vanilla doom command line options.  Add missing
	documentation for -nosound, -nomusic, -nosfx.  Fix up some bugs with
	the docgen wikitext output and allow control over output of Vanilla
	options.

2007-12-10 21:03:28 fraggle
	
	Bump version to 1.0.0 and update ChangeLog.

2007-12-08 11:07:13 fraggle
	
	Update NEWS.

2007-11-23 18:26:40 fraggle
	
	Use _spawnv() to invoke Doom under Windows, rather than system().
	Fixes bug with DOS window "flashing up" when opening the multiplayer
	dialogs.

2007-10-19 00:55:11 fraggle
	
	Reorder actionf_t union members to fix warnings in info.c.

2007-10-19 00:54:11 fraggle
	
	Shut up signed / unsigned comparison warnings.

2007-10-19 00:44:56 fraggle
	
	#define snprintf, vsnprintf to _snprintf, _vsnprintf in MSVC.

2007-10-19 00:40:50 fraggle
	
	#define inline to _inline in MSVC.

2007-10-19 00:38:53 fraggle
	
	Fix for strcasecmp in MSVC; #define to stricmp.  Outside MSVC, use
	strings.h.

2007-09-15 18:09:47 fraggle
	
	Fix desyncs caused by previous change to A_Explode.

2007-09-15 14:13:00 fraggle
	
	Check for playeringame overflow when spawning a new player (for
	compatibility with vex6d.wad / bug_wald.lmp)

2007-09-15 13:35:33 fraggle
	
	Add intercepts overrun emulation from PrBoom-plus.

2007-09-14 23:20:08 fraggle
	
	Add P_SubstNullMobj, substitute NULL mobjs for a dummy mobj where
	mo->target is not checked for NULL.

2007-09-11 10:02:24 fraggle
	
	Remove obsolete autotools scripts from dist, require automake 1.8
	(please upgrade!)

2007-09-05 00:50:56 fraggle
	
	Fix build failure when python is not installed.

2007-09-03 02:05:27 fraggle
	
	Up the default sample rate to 44100.

2007-09-03 02:00:19 fraggle
	
	Fix crash when playing long sounds (like DSBOSSIT)

2007-09-03 01:43:29 fraggle
	
	Try to open /dev/speaker in the parent process, so that we can tell if
	we don't have permission to open it before we fork.

2007-09-03 01:30:51 fraggle
	
	Add pcsound driver for OpenBSD.

2007-09-02 21:17:19 fraggle
	
	Disable "saving config in ...  " message for setup (thanks MikeRS)

2007-09-02 21:14:40 fraggle
	
	Don't make novert affect the joystick as well (thanks Janizdreg)

2007-08-31 09:59:34 fraggle
	
	Make SHORT and LONG macros return signed values; this is the behaviour
	of the versions in the original source and some code depends on it.

2007-08-31 09:31:48 fraggle
	
	Use short for texpatch_t .originx, .originy: fixes problem caused by
	sign conversion in the endianness code.

2007-08-31 08:27:44 fraggle
	
	Use gcc packed attribute for all structures read/written to disk.  This
	fixes architectures where structure fields are aligned differently to
	optimise reads, causing the game to crash.

2007-08-27 20:31:30 fraggle
	
	Fix bug where the automap always follows player 1 in multiplayer mode
	(thanks Janizdreg!)

2007-08-24 01:27:39 fraggle
	
	Initialise tracksize variable before mus2mid conversion, otherwise it
	is not reset the next time we convert a mid

2007-08-20 00:54:27 fraggle
	
	Use __APPLE__ instead of __MACOSX__.

2007-08-09 01:28:34 fraggle
	
	Remove debugging message.

2007-08-09 01:04:03 fraggle
	
	Don't crash when all players have quit.

2007-08-09 01:03:41 fraggle
	
	Disconnect any remaining drones when the last real player quits.

2007-08-08 22:14:48 fraggle
	
	Remove M_FileExists check for steam directories and add them as
	possible search paths anyway.

2007-08-08 22:11:29 fraggle
	
	Add the default DEICE install directories to the IWAD search path on
	Windows.

2007-08-08 21:06:46 fraggle
	
	Match steam IWAD directory order to IWAD search order.

2007-08-08 19:04:35 fraggle
	
	Move SCREENHEIGHT_4_3 to doomdef.h; remove some unused constants.

2007-08-08 19:03:32 fraggle
	
	Make M_FileExists work on directories.

2007-08-08 03:00:53 fraggle
	
	Add temporary debugging messages for Steam support.

2007-08-08 02:17:38 fraggle
	
	Don't assume Steam InstallPath ends in a \

2007-08-07 05:26:16 fraggle
	
	All of the steam IWADs are in \base subdirectories.

2007-08-07 02:19:49 fraggle
	
	Autodetect IWADs installed by Steam.

2007-08-06 05:48:55 fraggle
	
	Remove duplicate FileExists function.

2007-08-03 23:17:15 fraggle
	
	Fix 'pop' at the end of sound effects caused by an audio conversion
	bug.

2007-07-30 03:03:23 fraggle
	
	Set timedemo start time when demo playback begins, not when the level
	begins.  Using the level start time causes problems when timing
	multi-level demos.

2007-07-30 01:44:49 fraggle
	
	Make the z_native "out of memory" error message match the normal
	z_zone one.

2007-07-30 01:31:33 fraggle
	
	Fix bug in z_native linked list logic.  Clear out all PU_CACHE blocks
	when out of memory.

2007-07-30 00:41:12 fraggle
	
	Allow more than the standard three mouse buttons to be defined through
	setup (hopefully)

2007-07-22 15:45:53 fraggle
	
	Add missing new mouse buttons to setup (thanks RazTK).

2007-07-10 14:37:58 fraggle
	
	Another crazy idea.

2007-07-10 14:37:44 fraggle
	
	Shut up compiler warning.

2007-07-08 21:53:18 fraggle
	
	Make the numeric keypad behave like Vanilla does.

2007-07-08 18:52:45 fraggle
	
	Add -netdemo for playing back netgame demos that only have a single
	player.

2007-07-08 00:58:24 fraggle
	
	Make drones quit when disconnected from the server.

2007-07-08 00:45:55 fraggle
	
	Don't grab the mouse if a drone player (no input, so it isn't needed).

2007-07-05 13:06:10 fraggle
	
	Clearer prompt when asking whether to save settings on exit of setup.

2007-07-05 12:57:18 fraggle
	
	Remove "startup delay" from the setup display configuration dialog.

2007-07-04 23:57:07 fraggle
	
	Add pcsound_internal.h to dist.

2007-06-30 15:34:03 fraggle
	
	Don't crash if there is a multiplayer demo in the demo loop.

2007-06-28 00:15:56 fraggle
	
	Interpret skill level setting as a signed integer, to allow -skill 0.

2007-06-22 20:14:49 fraggle
	
	Don't allow two actions bound to the same button in setup.

2007-06-22 12:55:14 fraggle
	
	Replace 35 with TICRATE where appropriate.

2007-06-21 23:51:47 fraggle
	
	Add a joystick dead zone for joysticks that don't have them.

2007-06-21 23:00:38 fraggle
	
	Revert previous change from bitshifts to divides; this causes demo
	desyncs.

2007-06-21 12:33:46 fraggle
	
	Add arrlen() macro as a clearer way of doing sizeof(array) /
	sizeof(*array)

2007-06-21 12:32:04 fraggle
	
	Add portability section to HACKING file.

2007-06-20 12:44:46 fraggle
	
	Update TODO.

2007-06-20 12:21:57 fraggle
	
	Add x5 screen scale (thanks MikeRS!)

2007-06-20 01:37:40 fraggle
	
	Add new configuration options for the mouse and joystick for controls
	that are available through the keyboard.  Justification: this is
	already possible through advanced mouse drivers and programs like
	js2x, so there might as well be a proper interface for it.

2007-06-19 00:59:08 rtc_marine
	
	Update codeblocks projects for new sound stuff Include envvars in
	projects, which is part of the new format

2007-06-19 00:50:42 fraggle
	
	Add -iwad when joining a game, as well as when creating one (thanks
	MikeRS :-)

2007-06-19 00:47:44 fraggle
	
	Remove deleted headers from Makefile.am.

2007-06-17 20:19:37 fraggle
	
	Make the music code modular as well, although for the time being there
	is only one module.  Remove s_dummy.c.

2007-06-17 19:40:02 fraggle
	
	Split i_sound.c into i_sdlsound.c, i_sdlmusic.c, with generic "sound
	driver" modules, one for PC speaker and one for digital output.

2007-06-16 17:16:45 fraggle
	
	Switch back to z_zone, not z_native (oops!)

2007-06-16 17:04:00 fraggle
	
	Clean up sound code

2007-06-16 17:03:10 fraggle
	
	Use divides instead of bitshifts, for clarity

2007-06-16 17:02:58 fraggle
	
	Shut up strict aliasing warnings

2007-06-16 17:02:46 fraggle
	
	Switch to djb2 hash function and shut up compiler warnings

2007-06-15 00:20:30 rtc_marine
	
	Update codeblocks project

2007-06-14 22:45:50 fraggle
	
	Add configuration file variable to change the sound sample rate
	(snd_samplerate)

2007-06-14 22:15:52 fraggle
	
	Support up to 20 joystick buttons.  Justification: most modern
	joysticks and joypads have many more than four buttons.  Keeping the
	limit at four buttons restricts the player into using the first four
	buttons on his joystick/pad, which could be any arbitrary four set of
	buttons.

2007-06-14 22:03:22 fraggle
	
	Don't send joystick updates when the joystick is disabled.  Shut up
	warning caused by missing header.

2007-06-13 20:12:13 fraggle
	
	Working joystick code.

2007-06-12 19:49:29 fraggle
	
	Emulate overflows in P_FindNextHighestFloor.  Thanks to entryway for
	this fix.

2007-06-09 23:28:55 fraggle
	
	Joystick calibration (untested)

2007-06-09 19:01:00 fraggle
	
	Add stamp-h1 to svn:ignore.

2007-06-09 19:00:19 fraggle
	
	Add *.exe to svn:ignore.

2007-06-09 18:51:16 fraggle
	
	Initial joystick calibration code.

2007-06-09 18:49:05 fraggle
	
	Open the joystick when prompting for a new button.

2007-06-09 18:45:14 fraggle
	
	Set svn:ignore on pcsound directory.

2007-06-04 19:35:51 fraggle
	
	Remove unneeded SDL.h include.

2007-06-04 19:34:51 fraggle
	
	Oops!

2007-06-04 19:34:24 fraggle
	
	Completed joystick button selection widget (untested)

2007-06-04 19:32:50 fraggle
	
	Rename txt_main.c to txt_sdl.c; add txt_sdl.h for SDL-specific API
	functions, while keeping txt_main.h for the common API.  Add
	TXT_SDL_SetEventCallback to allow programs to intercept SDL events in
	the textscreen main loop.

2007-06-02 08:04:28 rtc_marine
	
	Update codeblocks projects for joystick stuff

2007-06-01 19:08:42 fraggle
	
	Display a meaningful message when trying to start with an invalid
	Joystick ID.

2007-06-01 19:08:09 fraggle
	
	Up the threshold for the always run hack to 20; it's conceivable that
	there are control pads with more than 10 buttons.

2007-06-01 19:06:15 fraggle
	
	Hide the joystick speed control when the always run hack is being
	used.

2007-06-01 00:16:23 fraggle
	
	Initial joystick support.

2007-05-24 15:31:54 fraggle
	
	Fix ByteSwapBlock macro.

2007-05-24 15:29:08 fraggle
	
	Add TXT_SetWindowTitle function to wrap SDL_WM_SetCaption, so that
	txt_desktop.c doesn't need to call SDL functions directly.

2007-05-24 15:26:08 fraggle
	
	Use I_Sleep in i_system.c instead of SDL_Delay directly.

2007-05-20 16:06:46 fraggle
	
	Fix crash when converting audio down to a lower sample rate.

2007-05-20 03:20:54 fraggle
	
	Stop music on sound shutdown so music isn't left playing at the ENDOOM
	screen.

2007-05-20 03:20:22 fraggle
	
	Initialise sound before network setup to fix bug with sound effects
	not playing when playing netgames on Windows (text mode waiting screen
	shutdown causes sound not to start up?)

2007-05-19 23:53:10 fraggle
	
	Update NEWS.

2007-05-19 23:48:39 fraggle
	
	Don't allow idclev in netgames.

2007-05-19 17:42:56 fraggle
	
	Fix tempo problems in pcsound linux driver.

2007-05-16 15:28:22 fraggle
	
	Add FEATURE_SOUND.

2007-05-16 14:52:09 fraggle
	
	Oops!

2007-05-16 14:49:04 fraggle
	
	Rejig net_cl_new_sync and drone to be in d_net.c instead of
	net_client.c.  Fix FEATURE_MULTIPLAYER conditional compile.  Move some
	function definitions in d_net.c into headers.  Reorganise the Makefile
	to split out files into sections based on features.

2007-05-09 19:48:32 fraggle
	
	Fix ticdup.

2007-05-02 03:03:44 fraggle
	
	Check in autoconf if python is installed; if not, don't run python
	scripts.

2007-05-02 02:51:15 fraggle
	
	Add missing files to dist.

2007-04-29 15:53:37 fraggle
	
	Add missing codeblocks workspace files to dist.

2007-04-16 12:34:26 fraggle
	
	Fix crash: don't check for client resends after they have
	disconnected.

2007-04-03 10:31:12 rtc_marine
	
	Fix building with gcc 4.x

2007-03-27 12:57:28 fraggle
	
	Update NEWS.

2007-03-27 12:44:53 fraggle
	
	Update ChangeLog.

2007-03-27 12:40:04 fraggle
	
	<SDL.h> -> "SDL.h"

2007-03-27 00:20:10 fraggle
	
	Fix docgen makefile dependencies.

2007-03-27 00:19:22 fraggle
	
	Fix manpage copyright footer to include id as well as me.

2007-03-26 13:09:53 fraggle
	
	Search WAD search dirs when loading dehacked patches.

2007-03-19 16:44:49 fraggle
	
	Update TODO; PC speaker is supported now.

2007-03-16 22:26:06 fraggle
	
	Add back shiftxform table so that the shift key works in multiplayer
	chat when vanilla_keyboard_mapping is enabled.

2007-03-16 21:43:28 fraggle
	
	Add config file option to enable/disable native keyboard bindings.

2007-03-16 05:07:35 rtc_marine
	
	Update codeblocks project

2007-03-15 18:43:22 fraggle
	
	Change MD5 code to use the standard types used elsewhere in the
	program.

2007-03-15 18:38:55 fraggle
	
	Use SDL for endianness byte swapping.  m_swap.c removed; m_swap.h
	renamed to i_swap.h.

2007-03-14 13:05:03 fraggle
	
	Use SDL's built-in audio conversion routines to convert sound effects
	to the output mixer device's sample rate.  Simplistic (naive)
	resampling in cases where SDL's routines can't do a conversion.  This
	needs a bit more work to filter out the high frequency artifacts at
	48khz output rate.

2007-03-12 12:38:54 fraggle
	
	Change "sound effects enabled" checkbox to a dropdown, allowing PC
	speaker to be selected as well.

2007-03-10 07:48:21 rtc_marine
	
	Minor changes:
	* No more shared libraries on windows, because they suck anyway and
	  complicate things
	* Fix build virtual targets

2007-03-10 05:40:12 fraggle
	
	Ignore the HOME environment variable on Windows - just behave like
	Vanilla Doom.

2007-03-10 02:11:18 rtc_marine
	
	Lots of changes/additions:
	* Add libpcsound codeblocks project
	* Use libraries that are built and project dependencies inside main
	  chocolate-doom/setup project and remove source files.
	* libraries are now built in the "lib" top level directory
	* Fix some warnings

2007-03-09 23:30:46 fraggle
	
	Add pcsound Linux driver.

2007-03-09 23:03:24 fraggle
	
	Don't build console mode apps; use the default -mwindows until the
	stdout.txt/stderr.txt thing can be fixed.

2007-03-09 22:50:48 fraggle
	
	Move the pcsound library to the top level, alongside textscreen.

2007-03-09 22:20:28 fraggle
	
	Partially revert the last change.  I'm going with a mixed approach for
	handling key mappings.  Chocolate Doom will use the original (broken)
	Doom behavior, in that keys will be unmapped.  A German user will have
	to type "IDMZPOS", for example.  However, when actually entering text,
	for savegame names and multiplayer chat, the mapped character will be
	used.  The reasoning here is that Vanilla users will be used to
	pressing the wrong keys, but it can never be desirable to use the
	wrong mappings when typing in text.

2007-03-09 12:56:45 fraggle
	
	Pay closer attention to keyboard mappings.  In the menu code,
	distinguish between keys pressed and characters typed, so that, for
	example, when the menu prompts "press 'y' to continue", it responds to
	the _character_ y being typed, not the key that is 'y' on an american
	keyboard being pressed.  Do the same when reading cheats.

2007-03-09 12:35:18 fraggle
	
	Fix discrepancy between Doom and setup program when prompting for
	keys.  Add the ability to enable/disable key mappings so that the raw
	key can be read in setup, exactly the same way that it is in Doom.

2007-03-07 23:52:33 rtc_marine
	
	Update project Fix a warning

2007-03-07 19:08:27 fraggle
	
	Use native endianness for sound output, rather than always LSB.  Add
	PC speaker code!

2007-02-24 02:30:17 fraggle
	
	Fix up setup tool to display the video driver setting tabulated with
	all the other settings.

2007-02-24 02:26:02 fraggle
	
	Fix video_driver setting.

2007-02-24 02:19:45 fraggle
	
	Fix library ordering for libtextscreen.a; fixes windows compile.

2007-02-23 23:42:56 fraggle
	
	Fix compile errors.

2007-02-23 23:41:58 fraggle
	
	Add an extra option to chocolate-setup on Windows to allow the video
	driver to be selected from directx and windib.

2007-02-23 23:26:26 fraggle
	
	Add a configuration file value to allow the SDL video driver to be
	explicitly specified.

2007-02-15 21:51:53 fraggle
	
	Really fix the menu corruption bug.

2007-02-14 19:11:30 fraggle
	
	Make I_Error call abort() instead of exit(), so that we can get a
	backtrace in the debugger.

2007-02-14 19:11:03 fraggle
	
	Expand buffer length to fix bug on Windows with cycling character on
	the quicksave screen.

2007-02-14 19:10:30 fraggle
	
	Read sound length as a 32 bit field, not 16 bit.  Fixes death sound in
	marina.wad.

2007-02-10 03:19:30 fraggle
	
	Don't prepend a superfluous './' to the path when searching the
	current directory for an IWAD.

2007-02-07 13:04:46 fraggle
	
	Revert previous change: throwing away the key state seems to be the
	Doom 1.9 behavior.

2007-02-07 12:58:53 fraggle
	
	Don't throw away keypress state when passing between levels - allows
	shift to be held down for run when moving between levels.  Thanks to
	Zack Friedrich <zack18@comcast.net> for pointing this out.

2007-02-01 12:21:14 fraggle
	
	Search IWAD search directories when loading PWAD files.

2007-01-14 05:20:28 fraggle
	
	Fix savegamedir directory generation.

2007-01-14 05:04:37 fraggle
	
	Change interpretation of DOOMWADDIR to the classic behavior: a single
	directory path where an IWAD can be found.  Add DOOMWADPATH as a
	PATH-style list of directories to search for IWADs.  This is to
	maintain consistency/compatibility with other ports, and so that the
	DOOMWADDIR name makes sense.

2007-01-08 22:46:05 fraggle
	
	More helpful SDL_mixer error messages.

2007-01-08 22:45:18 fraggle
	
	Bomb out with an error in configure if SDL_mixer or SDL_net are not
	found.

2007-01-07 01:58:16 fraggle
	
	Display a message on the console with details when WAD/DEH checksums
	do not match.

2007-01-06 22:26:23 fraggle
	
	Set svn:ignore properties on directories.

2007-01-06 03:26:00 fraggle
	
	Hide the mouse cursor using SDL_SetCursor to a blank cursor, not
	SDL_ShowCursor.  This fixes mouse lag on Windows.  Thanks to entryway.

2007-01-06 02:15:44 rtc_marine
	
	temp -> tempdir update codeblocks projects (which is a new format,
	latest cb svn build is needed)

2007-01-06 00:34:50 fraggle
	
	Choose the locations for temporary files more intelligently.

2007-01-05 23:42:38 fraggle
	
	Fix Batman Doom example in README.

2007-01-05 23:41:17 fraggle
	
	Make the WADs input box wider.  Rename labels in the start multiplayer
	game dialog.

2007-01-05 23:39:39 fraggle
	
	Add quit prompt message missing in the Doom source release.

2007-01-05 23:38:19 fraggle
	
	Move response file code to m_argv.c

2007-01-05 23:36:35 fraggle
	
	Clear the current value when entering a new value in number input
	boxes.

2007-01-05 23:35:30 fraggle
	
	Fix typing '_' and '+' in textscreen code.

2007-01-02 06:59:58 rtc_marine
	
	Replace WINDOWS define with _WIN32 Update Codeblocks project

2007-01-02 04:41:29 rtc_marine
	
	sys/wait.h does not exist on windows (thank mingw for sucking), add
	WIFEXITED and WEXITSTATUS macros so it can compile under windows.

2006-12-26 18:01:25 fraggle
	
	Remove command line options from README; move to autogenerated CMDLINE
	file.

2006-12-26 15:43:16 fraggle
	
	On OSX, make MIDI music disabled by default.  There are problems with
	the native MIDI code in SDL_mixer.

2006-12-25 12:28:27 fraggle
	
	Fix default network port in chocolate-setup.

2006-12-25 02:40:14 fraggle
	
	Fix up some text escaping errors.  Add wikitext output for docgen.

2006-12-24 23:55:08 fraggle
	
	Fix setup tool crash when no IWADs found.

2006-12-24 23:54:41 fraggle
	
	Update TODO.

2006-12-24 23:53:15 fraggle
	
	Javadoc-style self-documenting system for command line options.

2006-12-24 16:32:47 fraggle
	
	Include "SDL.h", not <SDL.h>, as per http://www.libsdl.org/faq.php

2006-12-24 11:11:21 fraggle
	
	Add new item for TODO.

2006-12-23 21:24:56 fraggle
	
	Add '-findiwads' command line hack so that the setup program can find
	out what games are installed.  Provide a drop-down list in setup to
	allow the game type to be selected.

2006-12-23 01:36:18 rtc_marine
	
	update cb project files

2006-12-23 01:32:22 fraggle
	
	Fix my email address.

2006-12-23 01:30:20 fraggle
	
	Add config.h for codeblocks build :-)

2006-12-22 15:22:40 fraggle
	
	Add definitions for PATH and directory separators.  Allow multiple
	directories to be specified in DOOMWADDIR, in the same way as PATH.
	Make -iwad search through all search paths for the specified IWAD.

2006-12-22 15:18:12 fraggle
	
	Update NEWS.

2006-12-22 01:44:32 fraggle
	
	Add MSVC inttypes.h and stdint.h implementations: might be useful in
	the future.

2006-12-22 01:43:41 fraggle
	
	Switch from stdint.h to inttypes.h (which includes stdint.h).  Old
	pre-C99 versions of Solaris only have inttypes.h.

2006-12-22 01:42:21 fraggle
	
	Update TODO - registry stuff is now done.

2006-12-22 01:42:10 rtc_marine
	
	update cb project for d_iwad.*

2006-12-22 01:39:03 fraggle
	
	Shut up compiler warnings.

2006-12-21 22:03:00 fraggle
	
	Add registry key for Doom 95 shareware version.

2006-12-21 21:43:47 fraggle
	
	Split off IWAD-related code into separate d_iwad.c.  On Windows,
	search the registry to automatically find the locations of installed
	IWADs.

2006-12-19 23:04:04 fraggle
	
	Update to latest version of chocolate-setup icon.

2006-12-19 23:03:28 fraggle
	
	Update email address.  Remove list of chocolate-doom.cfg options; it's
	easier to just use the setup tool.  The list of command line options
	is also in dire need of updating ...

2006-12-18 23:40:40 rtc_marine
	
	make icons a little smoother around the edges

2006-12-18 19:21:21 fraggle
	
	Add missing copyright statement, comments.

2006-12-18 18:15:47 fraggle
	
	x3, x4 aspect ratio corrected scale functions.

2006-12-17 20:57:36 fraggle
	
	Make numbers in the chat macros configuration screen match the
	keyboard keys used to activate them.

2006-12-17 19:02:25 fraggle
	
	Update TODO

2006-12-16 23:12:40 fraggle
	
	Allow -warp 1 to warp to E1M1, -warp 2 -> E2M1, etc.  when playing
	Doom 1.  Thanks for RazTK for pointing this out.

2006-12-16 22:57:58 fraggle
	
	Fix value in autoadjust message.

2006-12-16 02:29:59 rtc_marine
	
	Add icon to chocolate-setup binary when built

2006-12-16 01:56:59 fraggle
	
	Add aspect ratio correction to setup tool.  Redesign the display
	settings dialog.

2006-12-16 01:53:54 fraggle
	
	Add function to set radio button labels.

2006-12-16 01:53:17 fraggle
	
	Make dropdown lists emit a signal when set.

2006-12-16 00:58:12 fraggle
	
	Add icon for setup tool.

2006-12-16 00:54:18 fraggle
	
	Shut up datarootdir warnings.

2006-12-16 00:53:17 fraggle
	
	"\0" -> NULL

2006-12-15 23:15:05 rtc_marine
	
	Fix build Add new fields for code completion (stupid I know, but
	otherwise cb will probably have a fit)

2006-12-15 21:51:35 rtc_marine
	
	update project file to accomodate scaling code.

2006-12-15 21:10:00 fraggle
	
	Fix episode 3 bunny end screen (oops!!!!)

2006-12-15 19:35:46 fraggle
	
	Split off scaling code into i_scale.c.  Add aspect ratio correction
	stretching (fullscreen 320x240, 640x480, etc)!

2006-12-08 16:37:41 fraggle
	
	Make trig tables const.

2006-12-06 09:14:25 fraggle
	
	Add notes about packages to TODO.

2006-12-05 21:45:32 fraggle
	
	More TODO items.  That's all I can think of for now.

2006-12-05 21:10:22 fraggle
	
	Update TODO list: remove some things which are now complete and add
	some new ideas.

2006-12-05 21:05:46 fraggle
	
	Update BUGS list.

2006-12-05 21:05:26 fraggle
	
	Add missing #include.

2006-12-01 09:04:34 fraggle
	
	Add SPARC note to NEWS.

2006-12-01 08:57:15 fraggle
	
	Fixups to make compiles work under the Solaris/SPARC compiler.  Thanks
	to Mike Spooner <spooferman@excite.com> for his work on porting this.

2006-11-29 00:53:37 fraggle
	
	Remove use of m4; use "Chocolate Doom" when referring to the program
	by its proper name.

2006-11-29 00:49:33 fraggle
	
	Use my gmail.com email address.

2006-11-27 21:45:50 rtc_marine
	
	* removal of FEATURE_* defines from codeblocks project
	* silence some warnings

2006-11-25 20:14:27 fraggle
	
	Use C99 types.

2006-11-25 19:45:02 fraggle
	
	Remove FixedDiv2; use actual fixed point version of FixedDiv (wtf?)

2006-11-25 18:31:54 fraggle
	
	Remove version from msvc/config.h.  This is not generated
	automatically, so it is better to use a nonsensical version that will
	encourage anyone that uses it to set it properly.

2006-11-19 04:53:36 rtc_marine
	
	Silence warnings in debug build

2006-11-16 00:12:34 fraggle
	
	Display lowres turning warning message client-side, not through
	server-side broadcast messages.  This avoids the possibility of
	malicious servers that might not send the message.

2006-11-16 00:05:44 fraggle
	
	Increase buffer size to fixes crashes due to buffer overruns.

2006-11-15 00:25:22 fraggle
	
	Use booleans in place of ints where possible.

2006-11-15 00:16:34 fraggle
	
	Fix endianness problem in mus2mid code (thanks denis)

2006-11-14 20:31:37 fraggle
	
	Use getenv/putenv, not SDL_getenv/SDL_putenv.

2006-11-14 20:09:26 fraggle
	
	Support running as a screensaver under X!

2006-11-10 17:32:54 fraggle
	
	Fix for playing demos on PPC (actually, fix for loading single lump
	files on non-little-endian machines).

2006-11-10 07:50:26 fraggle
	
	Add -gdi command line parameter as a shortcut for
	SDL_VIDEODRIVER=windib on Windows.

2006-11-06 18:04:26 fraggle
	
	Use DirectX by default on Windows.

2006-11-06 17:59:39 fraggle
	
	Center the mouse on startup to prevent abrupt turns when launching a
	game from the command line.

2006-11-02 19:01:30 fraggle
	
	Update NEWS file.

2006-10-31 01:01:48 fraggle
	
	Simulate overflowing the Doom frame table in dehacked patches (DOS
	dehacked's behavior).  Overwrite the weaponinfo table instead when
	changes are made to the last element in states[].  Thanks to grazza
	for pointing out that Chococlate Doom did not emulate this bug.

2006-10-28 20:30:59 fraggle
	
	Explicitly support dehacked patches that overflow the ammo[] array
	with an invalid ammo type, allowing weapons that decrease the max ammo
	of other weapons.

2006-10-28 01:23:11 fraggle
	
	Display a warning when setting dehacked fields that would overflow
	buffers in Vanilla dehacked.  This should help pick up bugs like the
	one in Batman Doom.

2006-10-28 00:15:23 fraggle
	
	Allow multiple dehacked patches to be specified with the -deh command
	line paramter, as with -file.

2006-10-26 00:44:23 fraggle
	
	Allow F10 to exit in testcontrols mode.

2006-10-25 21:04:58 fraggle
	
	"Always run" trick should only be when joyb_speed >= 10.  Use 29 as
	the ideal value in setup as this works in Original, Ultimate and Final
	Doom, Heretic, Hexen and Strife.  Thanks to Janizdreg for this.

2006-10-25 19:12:08 fraggle
	
	Make the "test controls" option work - write the current config to
	temporary config files and make Doom use these when executing it.

2006-10-25 19:07:57 fraggle
	
	Don't print arguments read from response files - Vanilla Doom doesn't
	do it.

2006-10-24 23:30:19 rtc_marine
	
	update chocolate-setup codeblocks project

2006-10-24 23:26:20 fraggle
	
	Don't rely on INSTALL_DIR for the Win32 build.

2006-10-24 23:25:55 fraggle
	
	Add missing header for Win32 build.

2006-10-24 21:07:32 fraggle
	
	Tweak capitalisation on the main menu to be more like setup.exe.

2006-10-24 21:00:38 fraggle
	
	Escape WAD filenames passed to Doom with " quotes, to allow WAD
	filenames with spaces.

2006-10-24 20:58:39 fraggle
	
	Pass through config variables into response file when launching Doom.

2006-10-24 20:50:00 fraggle
	
	Fix player name option in setup tool.

2006-10-24 20:44:04 fraggle
	
	Make "hurt me plenty" the default skill.

2006-10-24 20:32:26 fraggle
	
	Shut up compiler warnings.

2006-10-24 20:23:16 fraggle
	
	Detect failures to initialise textscreen library and bomb out with an
	error mess age.

2006-10-24 00:15:24 fraggle
	
	Build command line parameters for starting multiplayer games and
	joining multiplayer games.

2006-10-24 00:14:43 fraggle
	
	Write newlines in response files to separate parameters.

2006-10-23 23:27:10 fraggle
	
	Rename testconfig.[ch] to execute.[ch], add generalised framework for
	launching Doom.  Make the "Save parameters and launch Doom" option on
	the main menu work.

2006-10-23 23:00:52 fraggle
	
	Add missing header.

2006-10-23 19:32:26 fraggle
	
	Detect when keyboard variables are changed and convert back so that
	the new values are saved to the config file.

2006-10-23 19:16:02 fraggle
	
	Load configuration on startup and save on quit.  Functional setup
	program!

2006-10-23 19:00:30 fraggle
	
	Add m_argv.[ch] from Doom, fix up configfile.c so that it compiles
	properly.  Add to build.

2006-10-23 18:59:51 fraggle
	
	Shut up compiler warnings.

2006-10-23 18:58:50 fraggle
	
	Change config variable names to be the same as used in Doom.

2006-10-23 18:57:56 fraggle
	
	Change config variable names to be the same as used in Doom.

2006-10-23 18:48:38 fraggle
	
	Move MakeDirectory function into m_misc.c.  Move configdir related
	code into m_misc.c.

2006-10-23 08:15:26 fraggle
	
	Add initial setup config file code (derived from the Doom config file
	code).  Not currently in build.

2006-10-23 08:13:16 fraggle
	
	Stackable clip areas (useful for a future implementation of scrollable
	panes).

2006-10-22 23:10:08 fraggle
	
	Standardise setup config variable names on the same variable names
	used in Doom.  Add header files for source files where they are
	needed.  Make variables static where appropriate.  General cleanups
	etc.

2006-10-22 18:17:15 fraggle
	
	Fix problem caused by use of 'long' type instead of 'int' type in
	state_t structure: caused problems when using multiplayer on 64-bit
	(thanks exp[x]).

2006-10-22 18:13:12 fraggle
	
	Remove d_french.h from autotools build.

2006-10-22 18:12:39 fraggle
	
	Catch failure to initialise video when calling SDL_Init.

2006-10-18 02:07:28 fraggle
	
	Shut up warnings in w_wad.c.

2006-10-18 01:55:49 fraggle
	
	Timer functionssss, precious!

2006-10-18 01:51:11 fraggle
	
	Strip out CVS logs, RCS Id tags.

2006-10-16 14:52:12 fraggle
	
	Reformat coding style file.  Add stuff about hungarian notation, jwz
	tab characters link and an introduction giving a brief explanation for
	the choices.

2006-10-15 02:06:27 rtc_marine
	
	update code::blocks project

2006-10-14 15:05:51 fraggle
	
	Refactor I_InitGraphics.

2006-10-14 14:59:28 fraggle
	
	Disable the "loading from disk" icon on MacOS.

2006-10-14 14:26:17 fraggle
	
	Display drone indicator on the netgame waiting screen if drones are
	connected.

2006-10-14 13:55:02 fraggle
	
	Display a different message from the normal WAD directory warning if
	players are mixing Freedoom/Original IWADs.

2006-10-14 12:53:08 fraggle
	
	Change wording on netgame warning message.

2006-10-12 18:34:32 fraggle
	
	Shut up compiler warnings for setup.

2006-10-12 00:03:19 fraggle
	
	Shut up compiler warnings

2006-10-11 23:55:06 fraggle
	
	Shut up compiler warnings.

2006-10-10 03:00:52 fraggle
	
	Remove d_french.h, other i18n-related stuff.  If people want i18n, it
	should be done with dehacked and/or wad replacements - see my british
	english translation in the idgames archive.

2006-10-07 01:59:03 fraggle
	
	Add float spin control and use it for the acceleration controller in
	setup.

2006-10-06 23:22:10 rtc_marine
	
	update Code::Blocks project for new md5 code.

2006-10-06 18:10:16 fraggle
	
	Alternate textscreen palette that fits the Tango desktop guidelines:
	see http://uwstopia.nl/blog/2006/07/tango-terminal

2006-10-06 18:06:05 fraggle
	
	Send deh/wad md5sums to players at the waiting screen.  Display a
	warning on the waiting screen if the checksums differ from the other
	players.

2006-10-06 08:02:42 fraggle
	
	Send deh/wad checksums to the server when connecting.

2006-10-05 23:12:22 fraggle
	
	Dehacked information checksum generation

2006-10-05 19:55:07 fraggle
	
	WAD directory checksum generation code

2006-10-05 18:19:43 fraggle
	
	Prevent against deadlock where client and server are both stuck
	waiting for each other to send data.

2006-10-05 18:18:14 fraggle
	
	Packet loss simulation code for test.

2006-09-30 11:52:25 fraggle
	
	Only allow drone mode when connecting.

2006-09-30 11:22:48 fraggle
	
	Make the server stop sending if one of the clients stops
	acknowledging.  Fix check on number of players on connect.

2006-09-29 22:38:21 fraggle
	
	Working -left and -right options!

2006-09-29 22:25:13 fraggle
	
	Working drone clients!

2006-09-29 12:49:30 fraggle
	
	Use TXT_AddWidgets in setup for greatly enhanced readability.

2006-09-28 18:27:22 fraggle
	
	Add missing ellipsis to "Add WADs..."

2006-09-27 00:52:50 fraggle
	
	Switch over a bunch of code to TXT_NewButton2 - improves readability.

2006-09-27 00:50:39 fraggle
	
	When invoking chocolate doom, run it from the install dir on Unix.

2006-09-27 00:50:06 fraggle
	
	Add "join game" dialog.

2006-09-27 00:49:22 fraggle
	
	Move the "always run" checkbox to the movement section.

2006-09-27 00:48:23 fraggle
	
	Add TXT_NewButton2 for creating a button with a callback (for
	convenience).

2006-09-27 00:47:27 fraggle
	
	Add TXT_AddWidgets for adding multiple widgets to a table.

2006-09-26 00:22:56 fraggle
	
	Reduce the minimum width of the key/mouse input widgets and align the
	mouse config dialog a bit nicer.

2006-09-26 00:16:49 fraggle
	
	Add "Always run" checkbox to keyboard options.

2006-09-26 00:09:32 fraggle
	
	Make examples call TXT_Shutdown before quit.

2006-09-25 23:13:56 rtc_marine
	
	Update Code::Blocks setup project with added files

2006-09-25 22:45:30 fraggle
	
	Fix colors.

2006-09-25 21:47:11 fraggle
	
	Don't disable screen melt entirely in testcontrols mode; just on
	startup.

2006-09-25 21:42:37 fraggle
	
	Don't allow function keys to be used in testcontrols mode.

2006-09-25 21:41:59 fraggle
	
	Remove low-pass filter on mouse for testcontrols mode - seems to work
	ok with real mice.

2006-09-25 21:31:42 fraggle
	
	Add "test" window actions to the keyboard/mouse dialogs to invoke
	Chocolate Doom with the -testcontrols option.

2006-09-25 19:04:29 fraggle
	
	Add "test controls" mode - for setup.exe in the future.  Start
	straight into the game with no melt effect and display a box showing
	mouse speed to allow the threshold to be set easily.  When escape is
	pressed, quit straight away.

2006-09-24 14:27:55 fraggle
	
	Add "extra parameters" dialog for specifying exra command-line
	parameters.  Move this and "UDP port" setting to a separate "Advanced"
	section.

2006-09-24 14:08:18 fraggle
	
	Add "time limit" control in multiplayer settings dialog.

2006-09-24 14:07:30 fraggle
	
	Convenience function for creating a horizontal box.

2006-09-24 14:06:32 fraggle
	
	Debug code for drawing an ASCII chart.

2006-09-24 14:05:44 fraggle
	
	Use proper arrow characters on spin controls and change their color.

2006-09-24 14:04:40 fraggle
	
	Fix declaration of TXT_NewWindowSelectAction

2006-09-22 23:43:28 fraggle
	
	Call the SpechitOverrun _after_ incrementing numspechit.  Thanks to
	Quasar for pointing out this mistake.

2006-09-22 23:12:50 fraggle
	
	Continue to build things if we fail to update chocolate_doom_icon.c -
	display a warning about missing Python Image library.

2006-09-22 21:32:00 fraggle
	
	Add DEH_String() conversions on more strings that are not being
	converted.

2006-09-22 21:30:48 fraggle
	
	Fix warning.

2006-09-22 19:24:53 fraggle
	
	Add the ability to type in values for spin controls, like with normal
	input boxes.

2006-09-22 13:16:00 fraggle
	
	Fix warning about initialiser.

2006-09-21 22:49:26 fraggle
	
	Set default sound devices to SNDDEVICE_SB, so that sfx and music are
	on by default.

2006-09-21 19:25:55 fraggle
	
	Rename Accept to Select.

2006-09-21 19:21:16 fraggle
	
	Add compatibility options dialog.

2006-09-21 19:20:45 fraggle
	
	Add ENDOOM and startup delay to display settings dialog.

2006-09-21 17:25:10 fraggle
	
	Fix some warnings in textscreen code.

2006-09-21 12:49:13 fraggle
	
	Use NULL for initialising pointers rather than 0.

2006-09-21 12:48:38 fraggle
	
	Use DEFAULT_INT enum value rather than 0.

2006-09-21 12:47:56 fraggle
	
	"\0" != NULL

2006-09-21 12:13:28 rtc_marine
	
	Fix a lot of warnings (for fussy compilers) and one always-true check

2006-09-21 10:11:58 fraggle
	
	Add new codeblocks build files to dist.

2006-09-21 05:25:49 rtc_marine
	
	Code::Blocks project and workspace.
	* Rename workspace appropriately in editor.
	* Update project files for new spin control and fix compilation of
	  certain projects caused by it.
	* Create virtual targets (Debug/Release) for textscreen project.  Code:
	* Fix the include in multiplayer.c, hopefully this does not break
	  anything.

2006-09-20 20:04:02 fraggle
	
	Make sure modified copyright banners always end in a newline.  If they
	don't, add one.  This fixes av.wad (thanks to myk for reporting).

2006-09-20 19:15:32 fraggle
	
	Fill in some default values for the player name and the chat macros
	(using the traditional defaults)

2006-09-20 19:06:34 fraggle
	
	Add sound config dialog.  Convert some of the mouse settings to use
	spin controls.

2006-09-20 19:05:10 fraggle
	
	Add spin control widget.

2006-09-20 14:15:55 fraggle
	
	Change the default optimisation level to -O2 and add
	--enable-penis-extension to configure.in.

2006-09-20 12:47:24 fraggle
	
	Add multiplayer configuration dialog.

2006-09-20 11:49:19 fraggle
	
	Remove tab characters :-)

2006-09-20 11:47:13 fraggle
	
	Add HACKING file with guidelines for Chocolate Doom hackers.

2006-09-20 11:27:22 fraggle
	
	Fix code style :-)

2006-09-20 07:08:37 rtc_marine
	
	add extra defines when building don't crash if numlumps = 0 (which is
	caused when an iwad has an invalid path)

2006-09-20 01:06:21 fraggle
	
	Add "Enable mouse" checkbox to mouse config dialog.  Reorder options.

2006-09-20 00:51:54 fraggle
	
	Fix chocolate-setup warnings.

2006-09-20 00:49:20 fraggle
	
	Fix textscreen warnings.

2006-09-20 00:24:29 fraggle
	
	Turn on -Wall as well.

2006-09-20 00:20:14 fraggle
	
	'widgets' variable was used uninitialised.  For some reason this
	didn't always crash!

2006-09-19 23:14:55 fraggle
	
	Build with debugging symbols by default.

2006-09-19 22:26:52 fraggle
	
	Move the grab mouse setting to the mouse config dialog.

2006-09-19 22:21:30 fraggle
	
	New display settings dialog!

2006-09-19 22:13:56 fraggle
	
	Check column is valid when finding a selectable column.  Fixes weird
	scrolling behavior.

2006-09-19 21:12:27 fraggle
	
	Set mouse button defaults.

2006-09-19 04:38:15 rtc_marine
	
	make the icon work in the client binary

2006-09-19 00:34:17 rtc_marine
	
	Code::Blocks projects:
	* fixed directory locations
	* minor enhancements to project building and locations of object files
	* addition of chocolate-server project
	* update workspace to accomodate chocolate-server project

2006-09-18 23:20:23 fraggle
	
	Level select dialog.

2006-09-18 23:19:30 fraggle
	
	Fix TXT_SelectWidgets with NULL spacers.

2006-09-18 23:19:00 fraggle
	
	Add function to set button label.

2006-09-18 13:13:40 fraggle
	
	Repeat key presses when the key is held down - thanks to Mad_Mac for
	this one :-)

2006-09-17 21:37:26 fraggle
	
	Split off query data into a net_querydata_t structure in
	net_structrw.c

2006-09-17 19:01:16 fraggle
	
	Fix local LAN queries.

2006-09-17 18:01:33 fraggle
	
	Always wait for a keypress before closing the ENDOOM window; do not
	close it automatically.

2006-09-17 15:33:49 fraggle
	
	Update TODO list :-)

2006-09-16 01:20:09 fraggle
	
	Undo previous commit: 'comport' and 'showmessages' are only generated
	by setup.exe.

2006-09-16 01:04:59 fraggle
	
	Preserve 'comport' variable in configuration files even though it is
	unused.  Add 'showmessages' which is a duplicate of 'show_messages'
	but is how Vanilla Doom behaves!

2006-09-16 00:47:12 fraggle
	
	Interpret the snd_sfxdevice and snd_musicdevice values in the
	configuration file and act the same as Vanilla Doom.

2006-09-12 11:03:57 fraggle
	
	Fix Z_FreeTags in z_native.c (chains were not set to NULL when freed).

2006-09-11 09:48:57 fraggle
	
	Add codeblocks project files; thanks to Russell Rice.

2006-09-09 22:44:51 fraggle
	
	Fix the -nomusic parameter.

2006-09-09 20:11:05 fraggle
	
	Add command line arguments to main() in textscreen examples.

2006-09-09 20:05:27 fraggle
	
	Add config.h for a possible MSVC build in the future.  Add
	mkinstalldirs to the list of files included in distribution.

2006-09-09 17:52:01 fraggle
	
	Include SDL.h in the textscreen headers; the SDL headers need to be
	included where main() is defined.

2006-09-09 17:48:09 fraggle
	
	Add reference counts on callback tables so that if a callback destroys
	the widget that owns the callback the program doesnt crash.

2006-09-09 16:49:39 fraggle
	
	Remove hack accidentally committed that always updates the palette

2006-09-02 20:10:07 fraggle
	
	Add -nwtmerge option, which behaves the same as NWT's -merge option.
	What this does is load a PWAD, then search through the IWAD sprites
	list, removing lumps where there are lumps of the same name in the
	PWAD.  The PWAD must then be loaded again with the normal -file
	option.  This is needed to run TiC's Obituary TC: chocolate-doom
	-nwtmerge obtic2.wad -file obtic1.wad obtic2.wad -deh obtic1.deh Also
	add W_PrintDirectory debug function, W_AddFile changed to return
	handle.

2006-09-02 20:02:11 fraggle
	
	Allow loading dehacked 2.3 patches.

2006-09-02 20:01:35 fraggle
	
	Don't allow \0 in dehacked strings read with DEH_ReadLine.

2006-09-01 21:45:45 fraggle
	
	Sync the -loadgame parameter across all clients connected to a server.
	Loading/saving multiplayer games should all work now.

2006-09-01 21:07:25 fraggle
	
	Better spechits emulation.  Remove support for emulating the
	higher-memory spechits overruns, as they will overwrite pointers with
	garbage and crash the game.  Change the spechits base address to one
	from doom2.exe, which seems to work better in more cases.  Add
	-spechit command-line parameter to allow the base address to be
	explicitly specified if necessary.

2006-08-31 23:11:08 fraggle
	
	Call R_ExecuteSetViewSize immediately after calling I_InitGraphics.
	I_InitGraphics can change where screens[0] points to, so the player
	can end up with a blank screen sometimes.  Thanks to Kurn for
	reporting this.

2006-08-31 21:40:48 fraggle
	
	Add missing copyright notices to textscreen and setup files.

2006-08-31 19:31:10 fraggle
	
	Add new chocolate-setup source files into build.

2006-08-31 19:15:36 fraggle
	
	Build man/ and setup/ directories from main makefile.

2006-08-31 19:15:16 fraggle
	
	Add manual pages to build

2006-08-31 19:14:45 fraggle
	
	Fix problem with 'c:\' in doom-options.in

2006-08-31 19:14:22 fraggle
	
	Change the 'abort' button to a quit button on the main menu.  Change
	the confirmation dialog to use 'abort'.  Working 'start network game'
	button.

2006-08-31 19:14:03 fraggle
	
	Add display.c with missing ConfigDisplay and multiplayer.c with
	multiplayer game start window.

2006-08-31 19:13:40 fraggle
	
	Add key and mouse input widgets for selecting keys and mouse buttons.

2006-08-31 19:13:23 fraggle
	
	Check for 'ff_end' not 'ff_start' when displaying warning message
	about merging flats.  Some old Vanilla WADs used ff_start..f_end to
	add extra flats and this message should not be displayed for them.  Use
	American spelling of 'behavior'.

2006-08-31 19:13:04 fraggle
	
	Allow the demo size limit to be disabled through the config file.

2006-08-31 19:12:43 fraggle
	
	Bomb out with an error when a dehacked string is set that is longer
	than is possible in Vanilla Doom with normal dehacked.  Chocolate Doom
	is unforgiving!

2006-08-31 19:12:25 fraggle
	
	Use the new TXT_Sleep function in Doom.

2006-08-31 19:12:05 fraggle
	
	Add dropdown listbox widget

2006-08-31 19:11:47 fraggle
	
	Exit the main loop automatically after all windows are closed

2006-08-31 19:11:26 fraggle
	
	Add window listener functions to allow spying on keys and mouse
	buttons received by windows.  Emit a 'closed' signal when a window is
	closed.  Allow windows to have no action buttons.

2006-08-31 19:11:07 fraggle
	
	Change name of escape window actions to 'Close' and add a separate
	'Abort' button creator.

2006-08-31 19:10:49 fraggle
	
	Center the calculator in the window.

2006-08-31 19:09:34 fraggle
	
	Add TXT_SelectWidget function to select a widget in a table,
	TXT_SetColumnWidths to set table column widths.  Don't send key
	presses to unselectable widgets.

2006-08-31 19:09:25 fraggle
	
	Allow multiple callbacks for the same signal on widgets

2006-08-31 19:09:17 fraggle
	
	Initialise string input boxes to not editing

2006-08-31 19:08:43 fraggle
	
	More efficient TXT_Sleep function that puts the textscreen code to
	sleep until an event is received or the screen needs to blink.

2006-08-06 23:51:29 fraggle
	
	Bomb out with an error when trying to draw patches that go off the
	screen, as Vanilla Doom does.

2006-07-28 20:13:13 fraggle
	
	Try to convert MUS even if the MUS header is not present.  The new
	code plays the deca.wad titlescreen music properly!

2006-07-24 22:32:39 fraggle
	
	Oops :-)

2006-07-22 17:43:12 fraggle
	
	New mus -> mid conversion code thanks to Ben Ryves
	<benryves@benryves.com> This plays back a lot of music closer to
	Vanilla Doom - eg.  tnt.wad map02

2006-06-29 19:07:32 fraggle
	
	Add inverted checkboxes (tick in box when value is false)

2006-06-29 19:05:32 fraggle
	
	Initial mouse configuration window.

2006-06-29 10:05:54 fraggle
	
	Hugely refactor the response file loading code.  Allow arguments to be
	enclosed in quotes; this allows long filenames with spaces in to be
	specified with -file in response files.

2006-06-21 20:08:20 fraggle
	
	Let the SDL parachute catch crashes and shut down properly.  Don't
	crash after playing demos.

2006-06-20 19:49:36 fraggle
	
	Add a fake nonfunctional key bindings configuration menu.

2006-06-20 19:48:21 fraggle
	
	Always add a bit of padding inside windows (removes the need to add
	padding explicitly in labels).  Set the window title from the desktop
	title.  Only draw widget selection highlight in the window with focus
	(top window).

2006-06-18 23:54:48 fraggle
	
	Add deh_section_sound to dehacked sections list (thanks to rpeter on
	the dw forums).

2006-06-16 18:06:05 fraggle
	
	Add hash table for fast texture lookup; refactor P_GroupLines to use
	an O(n) rather than O(n^2) algorithm: faster loading maps like sid.wad
	map03

2006-06-03 19:23:09 fraggle
	
	Stop sending data to the server when a connection drops.  Print a
	message to the console as well.

2006-06-03 17:12:08 fraggle
	
	Detect recursive calls to I_Error to prevent an infinite loop.

2006-06-03 13:38:24 fraggle
	
	Bomb out with an error message if game options are specified to a
	dedicated server.

2006-06-02 21:50:51 fraggle
	
	Make clicking on "accept" action buttons send enter keypresses to the
	window.

2006-06-02 21:14:39 fraggle
	
	Make mouse button presses on widgets actually do useful things

2006-06-02 20:52:01 fraggle
	
	Rearrange the buttons in the setup exit confirmation box.

2006-06-02 20:45:41 fraggle
	
	Add utility functions to create "Abort" and "Accept" window actions

2006-06-02 20:36:37 fraggle
	
	Draw the bottom separator in windows at the full window width.

2006-06-02 20:32:48 fraggle
	
	Add initial code for a setup utility.

2006-06-02 20:30:08 fraggle
	
	Update BUGS list.

2006-06-02 20:29:24 fraggle
	
	textscreen: Rejig how the entire drawing process works.  Add a
	recursive layout method that assigns the position and size of widgets
	for the whole window before drawing.  Add another method that responds
	to mouse button presses.  Allow windows to have no title bar by
	specifying NULL as the title.

2006-05-29 22:39:12 fraggle
	
	Add ability to make widgets right aligned or centered within tables.

2006-05-29 22:02:38 fraggle
	
	Convert calculator example to struts

2006-05-29 21:55:20 fraggle
	
	Add -autojoin command line parameter to automatically search a local
	LAN for a server and join it.

2006-05-29 21:04:08 fraggle
	
	Fix broadcast transmits (-search works!)

2006-05-29 21:00:41 fraggle
	
	Add textscreen.h top level header to avoid having to include all txt_*
	headers individually.

2006-05-29 20:54:11 fraggle
	
	Allow struts to force height as well as width.  Hide "start game"
	button for players which are not the game controller.

2006-05-29 20:31:45 fraggle
	
	Shut up compiler warnings.

2006-05-29 20:22:51 fraggle
	
	Add strut class to allow table column width to be forced.

2006-05-29 14:25:38 fraggle
	
	Warp mouse to screen center (possibly fix joe's mouse problem).

2006-05-29 12:19:53 fraggle
	
	Fix E1-3 intermission screen animations.

2006-05-29 11:38:27 fraggle
	
	Add missing newline to message.

2006-05-29 01:17:24 fraggle
	
	Change the mouse acceleration behavior to accelerate by multiplying by
	a linear amount when a threshold is exceeded.

2006-05-26 20:15:33 fraggle
	
	Switch netgame waiting screen to use the new text mode GUI system.

2006-05-26 20:15:05 fraggle
	
	Add key description for spacebar.

2006-05-26 16:37:09 fraggle
	
	Add an option to disable autoadjusting the video mode.

2006-05-25 23:39:57 fraggle
	
	Put savegames in separate directories depending on the IWAD.

2006-05-25 22:27:34 fraggle
	
	Allow NULL to be added to tables to specify a spacer (empty cell).

2006-05-25 22:26:13 fraggle
	
	Allow the fg/bg colors to be set on labels.

2006-05-25 22:07:14 fraggle
	
	Allow the fg/bg colors to be set on labels.

2006-05-25 21:40:57 fraggle
	
	Build textscreen/ before textscreen/examples/

2006-05-25 21:18:19 fraggle
	
	Add screenmultiply x4 mode.

2006-05-24 23:51:36 fraggle
	
	Remove debug hack used for testing startup delay.

2006-05-24 22:35:45 fraggle
	
	Move textscreen GUI demos into an examples/ subdir.

2006-05-24 21:27:40 fraggle
	
	Add small calculator GUI demo.

2006-05-24 20:08:58 fraggle
	
	Only allow digits to be typed in number input boxes.

2006-05-23 23:56:28 fraggle
	
	Prevent crashes when loading savegames where mancubi were in the
	middle of firing.

2006-05-23 23:52:01 fraggle
	
	Add input box widget, and include in guitest.

2006-05-23 23:51:09 fraggle
	
	Make TXT_GetChar return the unicode value of the key pressed.  For
	text boxes.

2006-05-23 20:33:35 fraggle
	
	Add a default action to close windows when escape is pressed.  Do not
	make escape quit the program unless there are no open windows.  Add
	TXT_ExitMainLoop().

2006-05-23 12:46:09 fraggle
	
	Fix compiler warnings caused by missing includes.

2006-05-23 01:25:36 fraggle
	
	Add actions demonstration to guitest.

2006-05-23 01:07:02 fraggle
	
	Add window action class for action area labels at the bottom of
	windows.  Adjust txt_table_t to expand tables to their maximum width
	when they only have one column (ensures separators reach the window
	edges).

2006-05-23 01:05:05 fraggle
	
	Eat keypresses when pressing buttons.

2006-05-23 01:04:27 fraggle
	
	Add TXT_GetKeyDescription() to provide descriptions of key codes.

2006-05-22 20:25:19 fraggle
	
	Updated GUI test which demonstrates signals used to update a label.

2006-05-22 20:23:28 fraggle
	
	Add TXT_SetLabel() function to set the label value.

2006-05-22 19:51:21 fraggle
	
	Allow specifying the full path and filename when playing back demos.

2006-05-22 12:59:11 fraggle
	
	CAST -> TXT_CAST_ARG, UNCAST -> TXT_UNCAST_ARG.

2006-05-22 01:56:12 fraggle
	
	Add casting macros to allow for easy casts between types.

2006-05-22 01:26:34 fraggle
	
	More signals to detect when checkboxes/radiobuttons are changed.

2006-05-22 01:20:48 fraggle
	
	Add a signals architecture to allow callbacks on GUI events.  Make all
	widget classes initialise widgets by calling TXT_InitWidget.

2006-05-21 22:01:46 fraggle
	
	Reformat source files in Makefile.am.

2006-05-21 21:58:24 fraggle
	
	Add radio button class.

2006-05-21 21:56:28 fraggle
	
	Initialise the table selection on table creation.

2006-05-21 01:07:11 fraggle
	
	Always select a valid widget in a table before drawing the table.

2006-05-20 22:37:34 fraggle
	
	Add missing free() call.

2006-05-20 22:37:07 fraggle
	
	Updated guitest.

2006-05-20 22:36:28 fraggle
	
	Add label class.

2006-05-20 22:01:04 fraggle
	
	Make all windows be tables with one column.

2006-05-20 21:49:50 fraggle
	
	Add table class.  Allow widgets with heights of more than one line.

2006-05-20 18:37:57 fraggle
	
	Checkbox class

2006-05-20 17:34:34 fraggle
	
	Add main loop function and forward key presses to widgets.

2006-05-20 17:24:58 fraggle
	
	Make Translatekey static.

2006-05-20 17:16:35 fraggle
	
	Split off keyboard key definitions to a separate file.

2006-05-20 16:45:36 fraggle
	
	Clip windows against the workspace boundaries.

2006-05-20 16:15:17 fraggle
	
	Add selectable and visible properties to widgets.  Allow the position
	of windows to be set based on position of
	top/bottom/center,left/right,center coordinates.

2006-05-19 21:03:49 fraggle
	
	Initialise tracers to NULL on savegame load - fixes a problem with
	revenant tracers in savegames.

2006-05-19 21:01:59 fraggle
	
	Add a config file setting to allow a delay to be specified on startup.

2006-05-19 20:57:59 fraggle
	
	Split off text mode gui desktop code into a separate file.  Rename
	some of the functions in txt_gui.c.

2006-05-18 20:48:03 fraggle
	
	Add TXT_SetDesktopTitle()

2006-05-18 19:55:24 fraggle
	
	Make TXT_AddWidget take a NULL pointer so different widget types can
	be passed to it.

2006-05-18 19:48:24 fraggle
	
	Initial working text-mode GUI framework.

2006-05-11 13:03:02 fraggle
	
	Allow port to be specified for client to connect to through -port or
	-connect hostname:port.

2006-05-08 22:54:32 fraggle
	
	Allow -3 scale.

2006-05-06 20:22:31 fraggle
	
	Respect the use_mouse value in configuration files.

2006-05-06 20:14:08 fraggle
	
	Add back -nomouse command line parameter.

2006-05-05 20:49:34 fraggle
	
	Syncronise the -timer/-avg parameters across all clients to avoid
	desyncs.

2006-05-03 20:23:54 fraggle
	
	Handle divide by zero in R_PointToDist: fixes crash in udm1.wad

2006-05-03 19:54:08 fraggle
	
	Allow .mid files in PWADs (via including a MID inside a music lump).
	This actually seems to work in Vanilla, as long as the MID is less
	than ~96k.  This isn't perfect.

2006-04-28 18:31:21 fraggle
	
	Fix sky behavior to be like Vanilla Doom, ie.  Doom II skies never
	change unless the player restores from a saved game.  Thanks to
	sofaking for bringing this to my attention.  There is more information
	here: http://doom.wikia.com/wiki/Sky_never_changes_in_Doom_II

2006-04-28 18:20:05 fraggle
	
	Fix spacing of the devparm mode dots!

2006-04-14 16:25:42 fraggle
	
	Add ability to play using the Vanilla player sync code

2006-04-14 16:24:32 fraggle
	
	Fix netgame respawn bug on MAP02 (may be 64-bit related)

2006-04-09 03:54:21 fraggle
	
	Add change missed from last commit

2006-04-09 03:50:34 fraggle
	
	Broadcast searches (currently broken)

2006-04-08 14:30:33 fraggle
	
	Forgot to add net_query.c to Makefile.am

2006-04-06 21:49:16 fraggle
	
	Debug code for tracking bandwidth usage

2006-04-06 21:48:35 fraggle
	
	Add the ability to query the current state of servers, and '-query'
	command line option to do so.

2006-04-06 20:44:06 fraggle
	
	Save demos when quitting normally - it is no longer neccessary to
	press 'q' to end a demo! Thanks to the 10,000 people who reported this
	bug.

2006-04-06 20:31:45 fraggle
	
	Use BACKUPTICS everywhere.  Remove NET_TICCMD_QUEUE_SIZE

2006-04-06 18:53:43 fraggle
	
	Sanity check data received by the server.  Send version string earlier
	in SYN packets to allow the fields that follow to be changed later on
	if necessary.

2006-04-01 21:16:43 fraggle
	
	Don't add modules to the server context until after they have been
	initialised - avoids crash when bombing out in the init function

2006-03-31 17:15:54 fraggle
	
	Remove reference to nonexistent i_main.h

2006-03-30 20:25:12 fraggle
	
	Increase the default heap size to 16MB, and add a -mb parameter to
	allow the heap size to be controlled from the command line.  Who
	doesn't have 16MB of memory these days?

2006-03-30 20:16:06 fraggle
	
	When all players leave a server, start accepting new connections
	again.  This lets people run proper dedicated servers.

2006-03-30 20:13:20 fraggle
	
	Add missing #include

2006-03-30 20:08:37 fraggle
	
	Split off timer code into separate i_timer.c file.  Add d_dedicated.c
	and build chocolate-server, a standalone dedicated server.

2006-03-30 19:17:58 fraggle
	
	Dedicated server mode.

2006-03-30 01:23:20 fraggle
	
	Remove hard-coded use of network modules from server code.

2006-03-29 19:22:37 fraggle
	
	Removing dummy file.
	
	Goodbye, #chocolate-doom :-(

2006-03-29 19:21:51 fraggle
	
	Dummy commit to test the new IRC monitoring bot
	
	Hello #chocolate-doom!

2006-03-29 16:59:39 fraggle
	
	Removing dummy.txt

2006-03-29 16:58:54 fraggle
	
	This is a message.
	
	A multiline commit message.

2006-03-29 16:58:09 fraggle
	
	Dummy change

2006-03-29 16:56:36 fraggle
	
	Dummy commit

2006-03-28 00:24:03 fraggle
	
	Update NEWS file, incorporating changes from v0.1.4 as well.

2006-03-27 23:56:14 fraggle
	
	Fix divide by zero in 1427uv01.lmp caused by the use of int instead of
	angle_t in R_ScaleFromGlobalAngle()

2006-03-25 21:50:32 fraggle
	
	New feature to allow compiling without multiplayer support

2006-03-25 21:47:13 fraggle
	
	Improve Z_CheckHeap()

2006-03-25 20:08:58 fraggle
	
	Fix builds with FEATURE_DEHACKED disabled

2006-03-25 18:28:48 fraggle
	
	Run the menu at the correct speed

2006-03-24 21:43:43 fraggle
	
	Adjust anti-CPU-hogging sleep times.

2006-03-24 21:20:36 fraggle
	
	Add "native allocator" message to distinguish from z_zone.c

2006-03-24 20:40:08 fraggle
	
	Call W_GenerateHashTable to generate the lumpname hashtable.  Do not
	constantly look up MAP01 to see if this is a store demo.

2006-03-24 20:39:28 fraggle
	
	Ooops!

2006-03-24 20:39:08 fraggle
	
	Generate a hash table for fast lump name lookups.

2006-03-24 19:59:03 fraggle
	
	Add a second implementation of the zone memory system which just uses
	malloc() and free() as a backend.  This will be useful for running
	dedicated servers (no need to allocate an entire heap).

2006-03-24 19:55:04 fraggle
	
	Make memblock_t internal to z_zone.c.  Adjust Z_ChangeTag #define to
	cope with this.

2006-03-24 17:35:17 fraggle
	
	Update TODO.  Remove finished things (64-bit, netcode) and stuff which
	will never be done (z_zone short-circuit).  Add some new TODOs.

2006-03-24 16:51:28 fraggle
	
	Use "sizeof(line_t *)" not "4".  Fixes 64-bit builds.

2006-03-23 18:29:28 fraggle
	
	Remove "default sfx volume" message: this is confusing now, and isn't
	in Vanilla anyway.

2006-03-23 18:25:56 fraggle
	
	Fix sound range

2006-03-23 17:43:15 fraggle
	
	Separate variables for config file volume levels and sound API
	internal volume levels (this is how the Vanilla code behaves).  Fixes
	sound behavior on level 8!

2006-03-19 00:12:00 fraggle
	
	Smarter fullscreen setting adjustment

2006-03-18 23:42:03 fraggle
	
	Auto adjust settings when running fullscreen so that we run in a valid
	video mode.

2006-03-18 23:24:04 fraggle
	
	Fix music startup/shutdown

2006-03-18 23:19:14 fraggle
	
	Catch failures to initialise SDL_mixer properly, and fail gracefully
	rather than crashing the game.

2006-03-18 21:22:09 fraggle
	
	Add missing SDL.h include for i_main.c - fixes play under MacOS X!

2006-03-17 18:36:50 fraggle
	
	Fix windres detection

2006-03-16 22:17:45 fraggle
	
	Better fix for the intermission screen crash.  Don't call WI_End until
	after we change to gamestate != GS_INTERMISSION

2006-03-16 21:46:59 fraggle
	
	Fix crasher when starting new levels, because the intermissions code
	tries to draw patches which have been unloaded (WI_Drawer runs after
	WI_End, because it is waiting for the game loop to load the new level)

2006-03-15 18:53:06 fraggle
	
	fix DEH_UNSUPPORTED_MAPPING, add frame::codepointer as an unsupported
	mapping

2006-03-15 18:52:31 fraggle
	
	Check for IWADs in the same order as Vanilla Doom

2006-03-14 19:17:14 fraggle
	
	Detect the presence of 'windres' properly

2006-03-11 21:34:19 fraggle
	
	Shut up compiler warnings

2006-03-11 21:28:21 fraggle
	
	Fix bug with corruption of long player names.  Remove tab characters.

2006-03-10 01:49:25 fraggle
	
	Add fullscreen "letterbox" mode for people without a functioning
	320x200 video mode.

2006-03-07 19:02:08 fraggle
	
	If running with -timedemo, do not generate new ticcmds through
	NetUpdate.

2006-03-07 18:25:32 fraggle
	
	Indicate when a message has been received from the server.

2006-03-07 18:24:12 fraggle
	
	Store the reason when a connection is disconnected, and display a
	message indicating when clients time out from the server.

2006-03-07 12:57:52 fraggle
	
	Convert NET_CL_SafePuts to NET_SafePuts, and print rejection messages
	from the server.

2006-03-07 12:46:52 fraggle
	
	Generic console message mechanism.  Inform all players when recording
	a low-res demo.

2006-03-06 20:48:07 fraggle
	
	Give a server-side warning when recording low resolution demos.

2006-03-06 20:44:43 fraggle
	
	Do not run TryRunTics until after we have started demo recording.  Fix
	crash when recording demos.

2006-03-03 19:18:48 fraggle
	
	Fix loss of precision when turning with mouse.

2006-03-02 01:01:05 fraggle
	
	Add unsigned qualifiers on swapping functions, to stop problems on
	MacOS X.

2006-03-02 00:57:25 fraggle
	
	Remove redundant code, shut up warnings

2006-03-02 00:10:23 fraggle
	
	_Really_ fix -nomonsters.

2006-03-02 00:03:48 fraggle
	
	Rearrange client connect code; fix name resolving under windows

2006-03-01 23:36:44 fraggle
	
	Detect turbo mode more accurately

2006-03-01 20:02:53 fraggle
	
	Send the nomonsters flag on netgame start.

2006-03-01 17:07:39 fraggle
	
	Don't melt the screen on startup

2006-02-27 21:46:35 fraggle
	
	Fix consistency checks

2006-02-27 20:11:14 fraggle
	
	Fix problem starting games with four players

2006-02-27 19:39:26 fraggle
	
	Quit with an error when unable to resolve an address

2006-02-27 17:57:55 fraggle
	
	Fix chat mode

2006-02-27 17:57:39 fraggle
	
	Reduce the maximum latency to stop the game pausing and shooting
	ahead.

2006-02-27 16:31:08 fraggle
	
	Working client sync: adjust the clock to try to match the latency of
	other players.  Allow the menu ticker to run even if the main game
	ticker doesn't run.  Remove time request/response code (now using game
	latency).

2006-02-26 02:29:47 fraggle
	
	Change data files to binary files

2006-02-24 19:14:59 fraggle
	
	Fix -extratics

2006-02-24 19:14:22 fraggle
	
	Remove redundant stuff relating to the old network code

2006-02-24 08:19:45 fraggle
	
	Only advance the receive window if we have received ticcmds from all
	connected players.

2006-02-23 23:42:00 fraggle
	
	Replace -client with -connect which takes a hostname/ip to connect to.

2006-02-23 23:41:13 fraggle
	
	Track memory used by packet data to help detect memory leaks

2006-02-23 23:40:30 fraggle
	
	Free back packets sent to the server after parsing them

2006-02-23 20:53:03 fraggle
	
	Detect when clients are disconnected from the server, recover cleanly
	and display a message.

2006-02-23 20:31:09 fraggle
	
	Set ticdup from the command line with the -dup parameter.

2006-02-23 20:22:57 fraggle
	
	Do not allow tics to buffer up in single player (stops the gun
	instantly appearing on level start)

2006-02-23 19:15:18 fraggle
	
	Fix crash when NOT recording lowres

2006-02-23 19:12:43 fraggle
	
	Set maketic-gametic lag back to 1 second.

2006-02-23 19:12:02 fraggle
	
	Add lowres_turn to indicate whether we generate angleturns which are
	8-bit as opposed to 16-bit.  This is used when recording demos without
	-longtics enabled.  Sync this option between clients in a netgame, so
	that if one player is recording a Vanilla demo, all clients record in
	lowres.

2006-02-23 18:20:29 fraggle
	
	Fix bugs in resend code for server->client data

2006-02-23 18:19:05 fraggle
	
	Add lowres_turn parameter to net_full_ticcmd_t structure r/w functions

2006-02-22 18:35:55 fraggle
	
	Packet resends for server->client gamedata

2006-02-19 13:42:27 fraggle
	
	Move tic number expansion code to common code.  Parse game data
	packets received from the server.  Strip down d_net.[ch] to work
	through the new networking code.  Remove game sync code.  Remove
	i_net.[ch] as it is no longer needed.  Working networking!

2006-02-19 13:38:59 fraggle
	
	Increase the size of BACKUPTICS to deal with heavy lag

2006-02-17 21:42:13 fraggle
	
	Remove debug code

2006-02-17 21:40:52 fraggle
	
	Full working resends for client->server comms

2006-02-17 20:15:16 fraggle
	
	Request resends for missed packets

2006-02-16 01:12:28 fraggle
	
	Define a new type net_full_ticcmd_t, a structure containing all
	ticcmds for a given tic.  Store received game data in a receive
	window.  Add send queues for clients and add data from the receive
	window to generate complete sets of ticcmds.

2006-02-15 12:57:58 fraggle
	
	Remove the savegame buffer entirely.  Keep the old savegame size limit
	bug add a "vanilla_savegame_limit" config file option which allows the
	limit to be disabled if necessary.

2006-02-03 18:41:26 fraggle
	
	Support NWT-style WAD merging (-af and -as command line parameters).
	Restructure WAD loading so that merged WADs are always loaded before
	normal PWADs.  Remove W_InitMultipleFiles().

2006-01-30 08:12:49 fraggle
	
	Add manpage

2006-01-30 08:06:29 fraggle
	
	Install into the games directory, not bin (Thanks to Jon Dowland)

2006-01-29 15:07:12 fraggle
	
	Shut up compiler warnings

2006-01-29 15:05:05 fraggle
	
	Allow map things of type <= 0 - these are ignored by Vanilla Doom.
	Provides compatibility with plutonia.wad map12.

2006-01-28 20:03:09 fraggle
	
	Avoid conflict with stdc time function

2006-01-27 18:23:08 fraggle
	
	Exit with an error when playing a demo with the wrong version, like
	Vanilla Doom

2006-01-27 18:21:35 fraggle
	
	Fix compiler warning due to missing include

2006-01-27 18:18:41 fraggle
	
	dehacked replacements for switch texture names

2006-01-25 17:38:40 fraggle
	
	Allow overriding the animation texture/flat names via dehacked

2006-01-24 01:46:08 fraggle
	
	More endianness fixes

2006-01-23 21:56:18 fraggle
	
	Include the config header so that endianness is dealt with correctly

2006-01-23 01:40:24 fraggle
	
	Fix bug when expanding large sound effects with odd sample rates

2006-01-23 00:47:16 fraggle
	
	Rearrange the order of startup code to allow replacing the IWAD
	filename via dehacked

2006-01-23 00:37:14 fraggle
	
	Make the network waiting screen not thrash the CPU so much.

2006-01-23 00:17:43 fraggle
	
	Allow changing the names of level lump names via dehacked.

2006-01-23 00:12:25 fraggle
	
	Fix dehacked sky replacement

2006-01-23 00:07:56 fraggle
	
	More dehacked text substitutions for finale text names

2006-01-22 23:48:00 fraggle
	
	Allow changing of all menu graphic lumps via dehacked

2006-01-22 23:38:05 fraggle
	
	Allow changing the status bar graphic lumps via dehacked

2006-01-22 23:33:32 fraggle
	
	Allow changing the sky texture names via dehacked patches

2006-01-22 22:29:42 fraggle
	
	Periodically request the time from clients to estimate their offset to
	the server time.

2006-01-22 21:22:35 fraggle
	
	Dehacked string replacements for menu graphic lump names

2006-01-22 21:21:02 fraggle
	
	Dehacked string replacements for intermission screen graphic lumps

2006-01-22 21:20:20 fraggle
	
	Dehacked string replacements for sound and music lump names

2006-01-22 21:19:14 fraggle
	
	Dehacked string replacements for startup messages, IWAD names, demo
	names and backgrounds

2006-01-22 21:17:56 fraggle
	
	Catch calls to DEH_String before DEH_Init is called

2006-01-21 14:16:49 fraggle
	
	Add first game data sending code.  Check the client version when
	connecting.

2006-01-21 14:15:29 fraggle
	
	Remove SAVESTRINGSIZE (now defined in p_saveg.h)

2006-01-20 21:05:16 fraggle
	
	Bump version to 0.2.0

2006-01-20 21:04:59 fraggle
	
	Import differences from stable branch.

2006-01-19 18:46:24 fraggle
	
	Move savegame header read/write code into p_saveg.c

2006-01-19 00:17:01 fraggle
	
	Remove now-redundant note about structure packing.

2006-01-19 00:09:20 fraggle
	
	Add functions to r/w structures to the savegame buffer, rather than
	copying the raw structures.  This way, we read and write to the DOS
	savegame format always, regardless of the compiler and processor
	architecture, to ensure Vanilla compatibility.

2006-01-16 23:35:55 fraggle
	
	Write icon data as hex numbers, rather than decimal

2006-01-16 21:40:38 fraggle
	
	Vanilla savegame load/save

2006-01-14 02:06:48 fraggle
	
	Include the game version in the settings structure.

2006-01-14 00:27:16 fraggle
	
	Set the window caption and title

2006-01-14 00:13:04 fraggle
	
	Detect if disconnected from the server while waiting for the game
	start.

2006-01-14 00:10:54 fraggle
	
	Change the format of color commands.  Reorganise the waiting dialog.

2006-01-13 23:56:00 fraggle
	
	Add text-mode I/O functions.  Use text-mode screen for the waiting
	screen.

2006-01-13 23:52:12 fraggle
	
	Fix game start packet parsing logic.

2006-01-13 18:23:28 fraggle
	
	Textscreen getchar() function; remove SDL code from I_Endoom.

2006-01-13 02:22:47 fraggle
	
	Update prototypes to match header.  Make sure we include the header in
	the source file.

2006-01-13 02:20:12 fraggle
	
	Signed integer read functions.  Use these when reading ticcmd diffs.

2006-01-13 02:19:18 fraggle
	
	Only accept sane player values when starting a new game.

2006-01-12 02:18:59 fraggle
	
	Only start new games when in the waiting-for-start state.

2006-01-12 02:11:52 fraggle
	
	Game start packets

2006-01-12 01:34:48 fraggle
	
	Combine mouse motion for tics into single events.

2006-01-12 00:21:29 fraggle
	
	Interpret the dehacked "max health" setting properly.

2006-01-11 01:37:53 fraggle
	
	ticcmd diffs: allow compare and patching ticcmds, and reading/writing
	ticdiffs to packets.

2006-01-10 22:14:13 fraggle
	
	Shut up compiler warnings

2006-01-10 19:59:26 fraggle
	
	Reliable packet transport mechanism

2006-01-09 02:03:39 fraggle
	
	Send clients their player number, and indicate on the waiting screen
	which client we are.

2006-01-09 01:50:51 fraggle
	
	Deduce a sane player name by examining environment variables.  Add a
	"player_name" setting to chocolate-doom.cfg.  Transmit the name to the
	server and use the names players send in the waiting data list.

2006-01-08 18:22:39 fraggle
	
	Strip carriage returns from the end of lines when reading
	configuration files.

2006-01-08 18:14:19 fraggle
	
	Update NEWS

2006-01-08 18:13:33 fraggle
	
	show_endoom config file option to disable the endoom screen

2006-01-08 17:52:45 fraggle
	
	Play some random music for the players while waiting for the game to
	start.

2006-01-08 17:52:16 fraggle
	
	Seed the M_Random random number generator from the system time to give
	it some more randomness.

2006-01-08 17:51:53 fraggle
	
	Add S_MusicPlaying function to query if music is still playing.

2006-01-08 05:06:06 fraggle
	
	Reject new connections if the server is not in the waiting state.

2006-01-08 05:04:50 fraggle
	
	Don't grab the mouse on the net waiting screen

2006-01-08 04:52:26 fraggle
	
	Allow the server to reject clients

2006-01-08 03:36:40 fraggle
	
	Fix double free of addresses

2006-01-08 03:36:17 fraggle
	
	Fix packet send

2006-01-08 02:53:31 fraggle
	
	Detect when client connection is disconnected.

2006-01-08 02:53:05 fraggle
	
	Send keepalives if the connection is not doing anything else.  Send
	all packets using a new NET_Conn_SendPacket to support this.

2006-01-08 00:10:48 fraggle
	
	Move common connection code into net_common.c, shared by server and
	client code.

2006-01-07 20:08:11 fraggle
	
	Send player name and address in the waiting data packets.  Display
	these on the waiting screen, and improve the waiting screen
	appearance.

2006-01-07 19:16:39 fraggle
	
	Only display a warning when unable to emulate a spechit overrun

2006-01-07 19:11:54 fraggle
	
	Import the spechit overrun code from prboom-plus.  Thanks to Andrey
	Budko for his investigation into this behavior.

2006-01-07 17:00:33 fraggle
	
	Mention the Chocolate Doom wiki, fix a spelling error.

2006-01-07 16:59:52 fraggle
	
	Update NEWS

2006-01-07 16:26:50 fraggle
	
	Fix the behavior when expanding sound effects (again).  Doom actually
	does play sounds of any sample rate, but the sound effects in
	Scientist 2 are corrupted.  Add some tests to check that the sound
	effect header is correct, and generic sound rate conversion code.

2006-01-06 19:26:02 fraggle
	
	Fix the "-skill 0" hack commonly used under DOS

2006-01-05 02:48:03 fraggle
	
	Fixes for big endian machines (thanks locust)

2006-01-05 02:42:58 fraggle
	
	Specify signed char explicitly for ticcmd_t fields.

2006-01-02 21:52:06 fraggle
	
	Move I_InitGraphics call to be invoked earlier in D_DoomMain.  Call
	the NET_WaitForStart function to wait for a start signal in network
	games.

2006-01-02 21:50:26 fraggle
	
	Restructure the waiting screen code.  Establish our own separate event
	loop while waiting for the game to start, to avoid affecting the
	original code too much.  Move some _gui variables to net_client.c.

2006-01-02 21:48:37 fraggle
	
	fix client connected function

2006-01-02 21:04:10 fraggle
	
	Create NET_SV_Shutdown function to shut down the server.  Call it when
	quitting the game.  Print the IP of the server correctly when
	connecting.

2006-01-02 21:02:16 fraggle
	
	Change AddrToString function to use an internal static buffer, for
	ease of use.

2006-01-02 20:27:45 fraggle
	
	Clear the screen AFTER initialising the loading disk buffer, so that
	bits of loading disk are not visible on the initial screen melt.

2006-01-02 20:14:29 fraggle
	
	Add a "-client" option to test connecting to a local server.

2006-01-02 20:14:07 fraggle
	
	Fix connect timeout and shutdown client properly if we fail to
	connect.

2006-01-02 20:13:06 fraggle
	
	Refer to connected clients by their AddrToString() output rather than
	just the pointer to their struct.  Listen for IP connections as well
	as loopback connections.

2006-01-02 20:11:49 fraggle
	
	Rename i_net_module -> net_sdl_module.  Fix the AddrToString method.

2006-01-02 17:24:40 fraggle
	
	Remove test code

2006-01-02 00:54:17 fraggle
	
	Fix packet not freed back after being sent.  Code to disconnect
	clients from the server side.

2006-01-02 00:17:42 fraggle
	
	Encapsulate the event queue code properly.  Add a D_PopEvent function
	to read a new event from the event queue.

2006-01-02 00:06:30 fraggle
	
	Make functions static.  Remove unused variable.

2006-01-02 00:00:08 fraggle
	
	Neater prefixes: NET_Client -> NET_CL_.  NET_Server -> NET_SV_.

2006-01-01 23:54:31 fraggle
	
	Client disconnect code

2006-01-01 23:53:15 fraggle
	
	Remove GS_WAITINGSTART gamestate.  This will be independent of the
	main loop to avoid interfering with the main game code too much.

2006-01-01 23:51:41 fraggle
	
	String read/write functions

2005-12-30 18:58:22 fraggle
	
	Fix client code to correctly send reply to server on connection.  Add
	"waiting screen" while waiting for the game to start.  Hook in the new
	networking code into the main game code.

2005-12-30 18:50:53 fraggle
	
	Millisecond clock function

2005-12-29 21:29:55 fraggle
	
	Working client connect code

2005-12-29 17:48:25 fraggle
	
	Add initial client/server connect code.  Reorganise sources list in
	Makefile.am.

2005-12-29 17:47:47 fraggle
	
	Automatically initialise the address table

2005-11-17 09:41:24 fraggle
	
	Catch SDL_QUIT event on ENDOOM display

2005-10-30 19:56:15 fraggle
	
	Add foundation code for the new networking system

2005-10-29 22:50:08 fraggle
	
	Update ChangeLog

2005-10-29 22:48:55 fraggle
	
	0.1.2

2005-10-29 22:38:55 fraggle
	
	Fix help screen orderings and skull positions to make Chocolate Doom
	behave exactly like the original executables.

2005-10-26 01:56:40 fraggle
	
	Final Doom teleport logic was backwards

2005-10-24 19:50:39 fraggle
	
	Allow the game version to emulate to be specified from the command
	line and set compatibility options accordingly.

2005-10-23 21:22:35 fraggle
	
	Drastically refactor the WAD merging code.  Allow multiple
	replacements of the same sprite in a PWAD (fixes Scientist 2)

2005-10-23 19:39:45 fraggle
	
	Reproduce the behavior when playing a sound at a sample rate which is
	not 11025 or 22050Hz.  This is to "fix" a bug in Scientist 2: however,
	it does not fix the playing of sounds, only silence them.  I tested
	Vanilla Doom and this is how it behaves when it receives sound effects
	with odd sample rates.  The bug here is actually in the Scientist 2
	WAD, which has sound effects that have the wrong sample rate.

2005-10-18 20:06:31 fraggle
	
	Update ChangeLog

2005-10-18 20:05:18 fraggle
	
	0.1.1

2005-10-18 13:32:55 fraggle
	
	Update ChangeLog

2005-10-18 10:13:07 fraggle
	
	Update NEWS

2005-10-18 00:48:05 fraggle
	
	DEH_CheckCommandLine -> DEH_Init, for consistency with other Init
	functions

2005-10-18 00:16:09 fraggle
	
	Add a "loading" message for each dehacked patch we load, to be
	orthogonal to the WAD loading code

2005-10-17 23:07:26 fraggle
	
	Fix "Monsters Infight"

2005-10-17 22:20:27 fraggle
	
	Add note that the "Monsters Infight" setting is not supported.

2005-10-17 22:14:31 fraggle
	
	Ignore comments in dehacked files.

2005-10-17 22:09:01 fraggle
	
	Dehacked Misc support: Controls for the armor and armor class set when
	using the ammo cheats.

2005-10-17 22:02:57 fraggle
	
	Dehacked Misc support: Max soulsphere, Soulsphere+Megasphere health
	bonus values, God mode health value

2005-10-17 21:49:42 fraggle
	
	Add dehacked "Misc" implementations for max armor+health, blue+green
	armor classes

2005-10-17 21:27:05 fraggle
	
	Start of Dehacked 'Misc' section support.  Initial Health+Bullets, and
	bfg cells/shot are supported.

2005-10-17 20:46:22 fraggle
	
	Guard against multiple video shutdowns better.  Fix crash due to
	improper screen clear at startup.

2005-10-16 21:55:50 fraggle
	
	Fix the '-cdrom' command-line option.

2005-10-16 17:16:03 fraggle
	
	Set the default number of channels to a more sensible 8

2005-10-16 02:18:10 fraggle
	
	Global "configdir" variable with directory to store config files in.
	Create a function to find the filename for a savegame slot.  Store
	savegames in the config dir.

2005-10-15 23:50:57 fraggle
	
	Fix pink icon on startup

2005-10-15 18:57:47 fraggle
	
	Add warning message for WADs with FF_START or SS_START in, suggesting
	the -merge option.

2005-10-15 18:42:07 fraggle
	
	Mention dehacked banners

2005-10-15 18:38:49 fraggle
	
	Print startup banners which have been modified by dehacked.

2005-10-15 18:09:11 fraggle
	
	Add blackbug note

2005-10-15 17:58:31 fraggle
	
	Fix MIDI music not pausing when using SDL_mixer's native MIDI
	playback.  The SDL_mixer native MIDI code does not pause music
	properly - use a workaround of setting the volume to 0.

2005-10-15 16:59:14 fraggle
	
	Map mouse buttons correctly.

2005-10-15 16:47:50 fraggle
	
	Update NEWS with info about bugs fixed.

2005-10-15 16:45:03 fraggle
	
	Check the return code from SDL_LockSurface to ensure a surface has
	been properly locked.  Fixes crash when switching applications while
	running fullscreen.

2005-10-14 00:12:30 fraggle
	
	Fix Doom 1 skies

2005-10-13 23:23:55 fraggle
	
	Fix logic for lost soul bounce

2005-10-12 22:52:01 fraggle
	
	doomfeatures.h to allow certain features to be disabled in the build

2005-10-10 18:02:24 fraggle
	
	Update to do list

2005-10-10 00:52:28 fraggle
	
	Fix DEH_Warning call

2005-10-09 22:22:41 fraggle
	
	Update ChangeLog

2005-10-09 22:20:14 fraggle
	
	v0.1.0

2005-10-09 22:19:41 fraggle
	
	Include libtextscreen include in the right place, include deh_main.h
	in the dist.

2005-10-09 21:19:21 fraggle
	
	Handle blinking text in ENDOOM lumps properly.

2005-10-09 21:06:50 fraggle
	
	Check the header of dehacked files and make sure we only load valid
	dehacked files.

2005-10-09 17:42:46 fraggle
	
	Cannot do arithmetic on void pointers in standard C

2005-10-09 15:34:19 fraggle
	
	Fix banner string for ultimate doom

2005-10-09 01:25:49 fraggle
	
	Improved sprite merging

2005-10-09 01:20:24 fraggle
	
	Detect registered DOOM banner in dehacked patches

2005-10-08 22:02:55 fraggle
	
	Allow dehacked substitutions on sprite names

2005-10-08 22:01:55 fraggle
	
	Change dehacked startup message

2005-10-08 21:54:16 fraggle
	
	Proper dehacked error/warning framework.  Catch a load more errors.

2005-10-08 21:14:38 fraggle
	
	Dehacked "Sound" section support

2005-10-08 21:14:24 fraggle
	
	Add the ability to specify unsupported fields

2005-10-08 21:10:51 fraggle
	
	Shut up compiler warning

2005-10-08 20:52:03 fraggle
	
	Update NEWS, ChangeLog

2005-10-08 20:33:48 fraggle
	
	Allow dehacked patches to override the name of the game via the
	startup banner.

2005-10-08 19:34:12 fraggle
	
	Print startup message to stdout, not stderr

2005-10-08 19:23:18 fraggle
	
	WAD merging code

2005-10-08 19:22:46 fraggle
	
	Store the cache as part of the lumpinfo_t struct.  Add W_AddFile
	prototype to header.

2005-10-06 20:36:41 fraggle
	
	Must use the right no clipping cheat for the right game.

2005-10-06 20:32:38 fraggle
	
	Allow changing the background flats in finale text screens via
	dehacked

2005-10-04 23:10:32 fraggle
	
	Dehacked "Misc" section parser (currently a dummy)

2005-10-04 23:04:06 fraggle
	
	Parse dehacked "Ammo" sections properly

2005-10-04 22:41:42 fraggle
	
	Rewrite cheats code.  Add dehacked cheat replacement.

2005-10-04 01:41:49 fraggle
	
	Move call to dehacked entrypoint to stop crashes

2005-10-03 22:39:39 fraggle
	
	Dehacked text substitutions

2005-10-03 14:44:12 fraggle
	
	Update ChangeLog

2005-10-03 14:21:11 fraggle
	
	Weapons mapping code

2005-10-03 12:08:16 fraggle
	
	Replace end of section functions with NULLs as they arent currently
	being used for anything.

2005-10-03 12:02:08 fraggle
	
	Add a weaponinfo_t mapping

2005-10-03 11:25:37 fraggle
	
	Add mapping code to map out structures and switch thing/frame code to
	use this.

2005-10-03 01:42:45 fraggle
	
	Frame numbers are indexed from 0

2005-10-03 00:49:01 fraggle
	
	The beginnings of dehacked support

2005-10-02 21:23:04 fraggle
	
	Guard against music lumps containing non-MUS data, document in bugs
	list

2005-10-02 05:23:42 fraggle
	
	Update NEWS

2005-10-02 05:22:06 fraggle
	
	Fix Final Doom automap level name display

2005-10-02 05:16:47 fraggle
	
	Fixes for Final Doom

2005-10-02 04:23:54 fraggle
	
	Fix the length of time that ENDOOM is displayed for

2005-10-02 04:16:29 fraggle
	
	ENDOOM support using text mode emulation

2005-10-02 04:16:03 fraggle
	
	Text mode emulation code

2005-10-02 04:03:40 fraggle
	
	Make sure loading disk is only shown if the display is initialised

2005-10-01 16:50:13 fraggle
	
	Update ChangeLog

2005-10-01 16:49:32 fraggle
	
	automake doesn't recognise .rc files unless there is a rule like this
	in here.  Store the rule in both forms.

2005-09-28 01:08:45 fraggle
	
	Update ChangeLog

2005-09-27 23:33:42 fraggle
	
	Always use SDL_Flip to update the screen.  Fixes problems in Windows
	when running fullscreen, introduced by fixes to the disk icon code.

2005-09-27 23:25:10 fraggle
	
	Fix .rc -> .o rule

2005-09-27 23:24:24 fraggle
	
	Add chocolate_doom_icon.c to CVS.  This is kind of bad but saves
	having to have Python installed

2005-09-27 23:23:32 fraggle
	
	Don't write converted output file unless everything went through okay.

2005-09-27 22:46:53 fraggle
	
	0.0.4

2005-09-27 22:46:43 fraggle
	
	Update ChangeLog

2005-09-26 22:44:30 fraggle
	
	Fix melting crap on startup - oops

2005-09-25 01:31:32 fraggle
	
	Fix disk icon appearing before palette is set (pink disk!) Cleanup and
	commenting

2005-09-25 00:46:48 fraggle
	
	Update ChangeLog

2005-09-25 00:45:18 fraggle
	
	Remove leftover debug code

2005-09-25 00:44:49 fraggle
	
	Enforce sane screenmultiply values

2005-09-25 00:41:07 fraggle
	
	Fix "loading" icon for all video modes

2005-09-25 00:16:43 fraggle
	
	Remove icon border

2005-09-24 23:58:01 fraggle
	
	Commit uac_dead fix

2005-09-24 23:04:03 fraggle
	
	Add application icon to running program

2005-09-22 22:42:24 fraggle
	
	64-bit fixes

2005-09-22 14:57:32 fraggle
	
	Add some more useful information to the README

2005-09-22 14:23:58 fraggle
	
	Update ChangeLog

2005-09-22 14:22:49 fraggle
	
	Update NEWS

2005-09-22 14:20:49 fraggle
	
	Update bugs/todo lists

2005-09-22 14:13:47 fraggle
	
	Remove external statistics driver support (-statcopy): nonfunctional
	on modern systems and never used.  Fix for systems where sizeof(int)
	!= sizeof(void *)

2005-09-22 13:58:46 fraggle
	
	Use a new PU_FREE tag to mark free blocks, rather than the 'user'
	field (avoids using magic numbers to mark allocated blocks with no
	user)

2005-09-20 22:20:16 fraggle
	
	Generate chocolate-doom-res.rc with version and product info

2005-09-20 21:55:32 fraggle
	
	Conditionally build the resource file, dependent on whether windres
	exists

2005-09-20 21:13:55 fraggle
	
	Update to do list

2005-09-20 21:13:15 fraggle
	
	Include icon in exe, rather than the default icon.  Thanks to Joe
	Kennedy for drawing this icon.

2005-09-17 22:37:04 fraggle
	
	Update changelog

2005-09-17 22:17:45 fraggle
	
	0.0.3

2005-09-17 21:50:46 fraggle
	
	Mouse acceleration code to emulate old DOS drivers

2005-09-17 21:25:56 fraggle
	
	Set the default values for variables in their initialisers.  Remove
	the "defaultvalue" parameter and associated code from the
	configuration file parsing code.

2005-09-17 21:06:45 fraggle
	
	Rewrite configuration loading code; assign a type to each
	configuration parameter.  Allow float parameters, align all values in
	the configuration files

2005-09-17 19:40:32 fraggle
	
	Autogenerated changelog

2005-09-14 23:13:45 fraggle
	
	Remove mkinstalldirs (redundant now); include BUGS and TODO in
	distribution

2005-09-14 23:08:29 fraggle
	
	Fix startup messages displayed (build a console binary; remove CON
	redirection code)

2005-09-14 22:55:47 fraggle
	
	Lock surfaces properly when we have to (fixes crash under Windows 98)

2005-09-13 21:18:51 fraggle
	
	0.0.2

2005-09-12 00:57:08 fraggle
	
	Remove temporary MIDI files generated by sound code.

2005-09-11 21:53:17 fraggle
	
	Fix sounds playing at the wrong volume (too quiet)

2005-09-11 21:42:26 fraggle
	
	Update NEWS with information about alt-tab bug

2005-09-11 21:35:18 fraggle
	
	chocolate-doom.cfg

2005-09-11 21:25:56 fraggle
	
	Second configuration file to allow chocolate doom-specific settings.
	Adjust some existing command line logic (for graphics settings and
	novert) to adjust for this.

2005-09-11 17:39:29 fraggle
	
	Fix declaration of I_Sleep (not I_Delay) and move to right header

2005-09-11 17:35:04 fraggle
	
	Missing declarations

2005-09-08 23:10:40 fraggle
	
	Delay calls so we don't use the entire CPU

2005-09-08 23:05:17 fraggle
	
	Allow alt-tab away while running fullscreen

2005-09-08 10:58:00 fraggle
	
	MAXINTERCEPTS got converted to INT_MAXERCEPTS accidentally when
	switching to the ANSI standard limit constants

2005-09-08 01:02:12 fraggle
	
	Fix description

2005-09-08 01:01:51 fraggle
	
	Fix switches not changing in Episode 4

2005-09-07 23:58:34 fraggle
	
	No SIGHUP on Windows

2005-09-07 23:55:28 fraggle
	
	v0.0.1

2005-09-07 23:24:26 fraggle
	
	Modify the sound effect caching behaviour: sounds which are not
	playing are now marked as PU_CACHE; it is otherwise possible to run
	out of memory.

2005-09-07 22:40:28 fraggle
	
	Catch signals and exit cleanly

2005-09-07 22:40:11 fraggle
	
	Remove non-ANSI C headers and functions

2005-09-07 22:30:42 fraggle
	
	Remove non-ANSI C headers.  Use standard C file I/O functions.

2005-09-07 21:44:23 fraggle
	
	Fix up names of functions Make the quit button work (pops up the "quit
	doom?" prompt).  Fix focus detection to release the mouse and ignore
	mouse events when window is not focused.

2005-09-07 13:34:47 fraggle
	
	Maintain dos-specific options in config file

2005-09-06 23:50:09 fraggle
	
	Bugs list; update TODO

2005-09-06 23:39:43 fraggle
	
	Restore -nosound, -nosfx, -nomusic

2005-09-06 22:40:28 fraggle
	
	Setting music volume

2005-09-06 22:15:08 fraggle
	
	Silly me - i misread cph's patch and got the logic backwards

2005-09-06 22:11:23 fraggle
	
	Working music!

2005-09-06 22:06:45 fraggle
	
	Newer versions of mmus2mid.c,h from prboom

2005-09-05 23:50:56 fraggle
	
	Add mmus2mid code from prboom.  Use 'void *' for music handles.  Pass
	length of data when registering music.

2005-09-05 22:03:43 fraggle
	
	16-bit sound

2005-09-05 21:32:18 fraggle
	
	Use the system-nonspecific sound code to assign the channel number
	used by SDL.  Remove handle tagging stuff.

2005-09-05 00:18:30 fraggle
	
	Remove dead code.  Cope with the screen not having width == pitch.
	Lock the SDL screen surface properly.  Rewrite 2x scaling code.

2005-09-04 19:44:23 fraggle
	
	shut up compiler warnings

2005-09-04 18:33:43 fraggle
	
	Support demos recorded with cph's modified "v1.91" doom exe - which
	contain higher resolution angleturn

2005-09-04 16:59:45 fraggle
	
	'novert' command line option to disable vertical mouse movement

2005-09-04 16:23:29 fraggle
	
	Support the old "joyb_speed 31" hack to allow autorun

2005-09-04 15:55:53 fraggle
	
	Doom v1.9 doesnt allow cheats in nightmare mode!

2005-09-04 15:51:19 fraggle
	
	Display the correct quit messages according to which game is being
	played.  Remove "language" variable (do this through gettext, if ever)

2005-09-04 15:34:20 fraggle
	
	These things have been done

2005-09-01 01:01:36 fraggle
	
	-nograbmouse option

2005-09-01 00:58:28 fraggle
	
	smarter mouse grabbing for windowed mode

2005-08-31 22:50:57 fraggle
	
	Nicer banner showing the game type (once we know).  Remove dead code.
	Find the config file properly.

2005-08-31 22:35:42 fraggle
	
	Display the game name in the title bar.  Move game start code to later
	in initialisation because of the IWAD detection changes.

2005-08-31 22:24:24 fraggle
	
	Remove the last traces of NORMALUNIX

2005-08-31 22:21:18 fraggle
	
	Better IWAD detection and identification.  Support '-iwad' to specify
	the IWAD to use.

2005-08-30 23:15:11 fraggle
	
	More Windows fixes

2005-08-30 23:11:10 fraggle
	
	Windows fixes

2005-08-29 23:00:04 fraggle
	
	Add missing header to fix build

2005-08-29 22:57:40 fraggle
	
	Include autotools directory in dist

2005-08-23 10:54:23 fraggle
	
	Demo sync problem with teleports and final doom

2005-08-19 22:55:51 fraggle
	
	Make sounds louder.  Use the correct maximum of 15 when doing sound
	calculations.

2005-08-12 17:54:15 fraggle
	
	Port network code to use SDL_net

2005-08-10 09:45:35 fraggle
	
	Remove "if (french)" stuff, FRENCH define, detect french wad
	automatically

2005-08-08 16:19:47 fraggle
	
	More TODOs/update

2005-08-07 21:01:00 fraggle
	
	Clear the screen on startup

2005-08-07 20:21:01 fraggle
	
	Cycle round sound channels to stop reuse and conflicts of channel
	numbers.  Add debug to detect when incorrect sound handles are used.

2005-08-07 04:09:33 fraggle
	
	Fix gamma correction

2005-08-07 03:59:23 fraggle
	
	Clear disk image when loading at startup

2005-08-06 19:37:47 fraggle
	
	Fix low resolution mode

2005-08-06 18:30:30 fraggle
	
	Only change palette on screen updates

2005-08-06 18:05:51 fraggle
	
	Remove debug messages, send error messages to stderr Fix overflow when
	playing large sound files

2005-08-05 18:53:07 fraggle
	
	More sensible defaults

2005-08-04 23:55:08 fraggle
	
	Use DOOM_VERSION to define the Doom version (don't conflict with
	automake's config.h).  Display GPL message instead of anti-piracy
	messages.

2005-08-04 23:23:07 fraggle
	
	Use zone memory function.  Add command line options

2005-08-04 22:48:32 fraggle
	
	Turn on compiler optimisation and warning options Add SDL_mixer sound
	code

2005-08-04 20:54:56 fraggle
	
	Use keysym value rather than unicode value (fixes problems with shift
	key)

2005-08-04 19:42:15 fraggle
	
	Silence compiler warnings

2005-08-04 19:40:22 fraggle
	
	Use zone memory functions instead of alloca/malloc/free

2005-08-04 02:15:10 fraggle
	
	Fix clev cheat

2005-08-04 02:14:37 fraggle
	
	Begin/EndRead now in i_video.c

2005-08-04 02:13:46 fraggle
	
	Loading disk

2005-08-03 23:20:09 fraggle
	
	Display FPS on quit

2005-08-03 23:19:52 fraggle
	
	Set some flags to fix palette and improve performance

2005-08-03 22:58:02 fraggle
	
	Working scale*2

2005-07-25 21:50:55 fraggle
	
	mouse

2005-07-25 21:41:59 fraggle
	
	Port timer code to SDL

2005-07-24 04:07:24 fraggle
	
	Update to do list

2005-07-24 03:14:04 fraggle
	
	Move to SDL for graphics.  Translate key scancodes to correct internal
	format when reading settings from config file - backwards compatible
	with config files for original exes

2005-07-24 00:07:04 fraggle
	
	Add back previously removed printfs as '.'s for startup progress bar

2005-07-23 22:42:52 fraggle
	
	Add missing null to end of sprite names list

2005-07-23 22:32:47 fraggle
	
	Add missing errno.h, fix crash on startup when no IWAD present

2005-07-23 20:42:56 fraggle
	
	Startup messages as in the DOS exes

2005-07-23 20:31:49 fraggle
	
	Update TODO list

2005-07-23 20:29:45 fraggle
	
	Put version number back to 1.9

2005-07-23 20:17:11 fraggle
	
	Use ANSI-standard limit constants.  Remove LINUX define.

2005-07-23 19:56:07 fraggle
	
	Remove unneccessary pragmas

2005-07-23 19:54:30 fraggle
	
	Fix quit prompt not displayed properly

2005-07-23 19:54:06 fraggle
	
	Use standard C functions for WAD code

2005-07-23 19:50:34 fraggle
	
	Use standard C file functions for WAD code

2005-07-23 18:46:19 fraggle
	
	Import bouncing lost soul fix from prboom

2005-07-23 18:27:04 fraggle
	
	Stop crash on shutdown

2005-07-23 18:21:35 fraggle
	
	Remove step table (unused, adds dependency on pow function)

2005-07-23 18:20:33 fraggle
	
	Autotools build system

2005-07-23 17:54:24 fraggle
	
	Standard distribution files

2005-07-23 17:46:05 fraggle
	
	To do list

2005-07-23 17:44:57 fraggle
	
	Update copyright to GNU GPL

2005-07-23 17:19:41 fraggle
	
	Initial revision

